# created with git log --stat=76 -M -C -500|fmt -sct -w80

commit d1abd04be4bfb71ff0b7c1e4d7eb4c11d7847f3f
Merge: 11b8ecfa 6c103076
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 29 18:52:39 2020 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 6c103076b758f62855157a31e9a620d64c6baab2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 29 15:43:36 2020 +0200

    fix merge

 AUTHORS   |    77 +-
 ChangeLog | 10062 ++++++++++++--------------------------------------------
 NEWS      |  2396 +-------------
 3 files changed, 2170 insertions(+), 10365 deletions(-)

commit 36ae5a2470df3f5c8ddbed63dfc1613c25f69cd6
Merge: a0eef122 46638bb1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 29 12:22:39 2020 +0200

    merge

commit 46638bb18440758ea2714394f72e54082ade48d0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 27 23:00:50 2020 +0200

    make update-po

 po/ar.po     | 315 +++++++++++++++++++++++++++++-------------------------
 po/be.po     | 295 +++++++++++++++++++++++++-------------------------
 po/bg.po     | 294 +++++++++++++++++++++++++-------------------------
 po/ca.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/cs.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/da.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/de.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/el.po     | 294 +++++++++++++++++++++++++-------------------------
 po/en.po     | 292 +++++++++++++++++++++++++-------------------------
 po/es.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/fi.po     | 298 ++++++++++++++++++++++++++-------------------------
 po/fr.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/he.po     | 294 +++++++++++++++++++++++++-------------------------
 po/hr.po     | 294 +++++++++++++++++++++++++-------------------------
 po/hu.po     | 294 +++++++++++++++++++++++++-------------------------
 po/icewm.pot | 294 +++++++++++++++++++++++++-------------------------
 po/id.po     | 319 +++++++++++++++++++++++++++++--------------------------
 po/it.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/ja.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/ko.po     | 294 +++++++++++++++++++++++++-------------------------
 po/lt.po     | 294 +++++++++++++++++++++++++-------------------------
 po/lv.po     | 294 +++++++++++++++++++++++++-------------------------
 po/mk.po     | 294 +++++++++++++++++++++++++-------------------------
 po/nb.po     | 294 +++++++++++++++++++++++++-------------------------
 po/nl.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/no.po     | 294 +++++++++++++++++++++++++-------------------------
 po/pl.po     | 294 +++++++++++++++++++++++++-------------------------
 po/pt_BR.po  | 307 +++++++++++++++++++++++++++-------------------------
 po/ro.po     | 294 +++++++++++++++++++++++++-------------------------
 po/ru.po     | 294 +++++++++++++++++++++++++-------------------------
 po/sk.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/sl.po     | 294 +++++++++++++++++++++++++-------------------------
 po/sv.po     | 311 ++++++++++++++++++++++++++++-------------------------
 po/tr.po     | 294 +++++++++++++++++++++++++-------------------------
 po/uk.po     | 294 +++++++++++++++++++++++++-------------------------
 po/vi.po     | 294 +++++++++++++++++++++++++-------------------------
 po/zh_CN.po  | 307 +++++++++++++++++++++++++++-------------------------
 po/zh_TW.po  | 307 +++++++++++++++++++++++++++-------------------------
 38 files changed, 5978 insertions(+), 5469 deletions(-)

commit 3f4385caca0bd86b65ad10192cc23fde1ab70098
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 27 17:28:09 2020 +0200

    Permit deleting entire input line.

 src/yinput.cc | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit 84c82809beec8e135aa6c1b8b002f90f241b10f8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 27 17:28:09 2020 +0200

    Prevent reallocations.

 src/mstring.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a68f20e16923ebc8cf97d2a5dd2f67a42493d430
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 27 11:00:20 2020 +0200

    Onle consider if addressbar is visible if TaskBarShowWindows=1 for #434.

 src/wmtaskbar.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 51478a92cbe5b8133dc164c5afc5d62ef522aa09
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 25 21:09:39 2020 +0200

    Accept requests for clipboard selection as UTF-8.

 src/wmtaskbar.cc |  1 +
 src/yapp.h       |  1 -
 src/ylocale.cc   |  8 ++++++-
 src/yxapp.cc     | 68 ++++++++++++++++++++++++----------------------------
 src/yxapp.h      |  5 ++--
 5 files changed, 42 insertions(+), 41 deletions(-)

commit acfd45179a19b1633c049767548d499712a1c0d2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 25 19:20:27 2020 +0200

    More ConfigureNotify details.

 src/icesh.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit 6ef97dafe3b2b68fa722233d7b9dd6fca9445ea0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 25 19:16:39 2020 +0200

    Reduce spaces when logging events.

 src/misc.cc | 37 +++++++++++++++++--------------------
 1 file changed, 17 insertions(+), 20 deletions(-)

commit 9132ef448805f6b5e161010fe954e0e10084714d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 25 19:15:15 2020 +0200

    Request selection as UTF-8 string in addressbar.

 src/wmmgr.h    | 4 ----
 src/ywindow.cc | 2 +-
 src/ywindow.h  | 3 +++
 3 files changed, 4 insertions(+), 5 deletions(-)

commit ce0292bb33050e089f0e104fc7940948c715982e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 25 10:24:31 2020 +0200

    try harder for C++11

 configure.ac | 11 +++++++++--
 1 file changed, 9 insertions(+), 2 deletions(-)

commit a7a019fe4c3c9dd5396eb42e6ba4e99f226dca20
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 23 12:03:42 2020 +0200

    add ICEWM_OPTIONS env var to icewm-session

 man/icewm-session.pod | 11 +++++++++++
 src/icesm.cc          | 35 +++++++++++++++++++++++++++++++++--
 2 files changed, 44 insertions(+), 2 deletions(-)

commit ce9058a5dc4584c4bc69316954cec94f1ecc5b9a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 23 10:53:55 2020 +0200

    New option PagerShowLabels for ice-wm/icewm#19

 man/icewm-preferences.pod | 4 ++++
 src/aworkspaces.cc        | 3 ++-
 src/default.h             | 2 ++
 3 files changed, 8 insertions(+), 1 deletion(-)

commit 52113d9fbf936b6242afbe7897a8918a747810b2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 22 10:59:13 2020 +0200

    fix battery divisions

 src/aapm.cc | 54 ++++++++++++++++++++++++------------------------------
 1 file changed, 24 insertions(+), 30 deletions(-)

commit 8b7d9aa6cbc6b0b5142bdc69149b3c29ab7c635a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 22 10:58:28 2020 +0200

    center temperature

 src/acpustatus.cc | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit f81f309093d5401bee3f8ea14ed17e0272a2de5d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 21 23:28:47 2020 +0200

    Make window list icon size consistent for #433.

 src/ylistbox.cc | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit beeb8dfef2c6bd6818555015f3edc2d165a6cc9e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 21 23:10:12 2020 +0200

    try harder to get a scaled icon for #429

 src/yicon.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6882907b101dad93856c229b70111d9b43cc7ad2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 18 05:44:20 2020 +0200

    simplify multiplication of width

 src/wmtaskbar.cc | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 4cbe695d214bd1cc3da64ce824b5e26ea83987b2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 18 05:42:40 2020 +0200

    simplify ifdefs for APM

 src/aapm.h | 33 +++++++++++++++++----------------
 1 file changed, 17 insertions(+), 16 deletions(-)

commit 5324ed55355ebb0b6ff7184c8a7e458a1654d98d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 18 05:41:37 2020 +0200

    remove duplicate definition of ACPIDEV

 src/aapm.cc | 1 -
 1 file changed, 1 deletion(-)

commit dc09cf41cff4caeef20bdc79373c4f22d3c346ad
Author: Eduard Bloch <blade@debian.org>
Date:   Sat May 16 20:58:14 2020 +0200

    Xrandr menu option to move primary flag to left screen

 contrib/icewm-menu-xrandr        |   3 +++
 lib/icons/setscreen21x_32x32.png | Bin 0 -> 621 bytes
 2 files changed, 3 insertions(+)

commit aa45aa243d58455d91383b8689196d7be86db5d4
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Apr 26 17:42:55 2020 +0200

    Added optional build target for strtest

 src/CMakeLists.txt | 4 ++++
 1 file changed, 4 insertions(+)

commit c5942d9a36345c5af215c208dbee32f9719f14f0
Merge: d72ee2fc 46bf3950
Author: Markéta Calábková <meggy.calabkova@gmail.com>
Date:   Tue May 12 17:16:55 2020 +0200

    Merge remote-tracking branch 'weblate/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit d72ee2fc53ec63f606973bfedee3aa66a706e633
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 11 10:00:34 2020 +0200

    Add systray y-position when filling with taskbarbg for #430.

 src/yxtray.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 98a5152bf5980e84b6d73c7244023d66bf8abc99
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 11 00:43:17 2020 +0200

    update print_configured.

 src/config.cmake.h.in | 1 -
 src/wmapp.cc          | 9 +++------
 2 files changed, 3 insertions(+), 7 deletions(-)

commit 48687aaf951f7bba3e5b06c48f0d1d89d627f4c1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 10 20:23:15 2020 +0200

    When CPUStatusShowAcpiTempInGraph=1 redraw entire CPU graph pixmap
    for #431.

 src/acpustatus.cc | 53 ++++++++++++++++++++++++++-------------------------
 src/acpustatus.h  |  6 +-----
 2 files changed, 28 insertions(+), 31 deletions(-)

commit 1eed8783b1a653572c4f5fda086f54a53078e076
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 7 17:46:50 2020 +0200

    The cmake build is no longer experimental.

 INSTALL-cmakebuild.md | 33 ++++++++++++++++-----------------
 INSTALL.cmakebuild    | 33 ++++++++++++++++-----------------
 2 files changed, 32 insertions(+), 34 deletions(-)

commit 46bf3950dc7258c4a7fede8ffd8f9baf78a99334
Author: ingemar karlsson <ingemar_bengt@hotmail.com>
Date:   Tue May 5 15:26:15 2020 +0000

    Translated using Weblate (Swedish)

    Currently translated at 100.0% (471 of 471 strings)

 po/sv.po | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit a982785fa64e0845cc3cc9a284a0a97b860f2ccc
Author: Andika Triwidada <andika@gmail.com>
Date:   Tue May 5 21:44:35 2020 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (471 of 471 strings)

 po/id.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 88256d83612c008567ec67ffd78c7dd7cb33033d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 3 21:15:14 2020 +0200

    Caution for '\0' when using strchr.

 src/misc.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit ea440b721d1ce60ea6c77e3133975baa3898815f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 3 21:14:06 2020 +0200

    Make title buttons behave the same as title bar for Button2.

 src/wmbutton.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 5335ba24f13064b79b2ec121391c49970e3e0d52
Author: Luna Jernberg <droidbittin@gmail.com>
Date:   Thu Mar 26 08:40:05 2020 +0000

    Translated using Weblate (Swedish)

    Currently translated at 99.6% (469 of 471 strings)

 po/sv.po | 25 +++++++++++--------------
 1 file changed, 11 insertions(+), 14 deletions(-)

commit c7265486aead9908944a1f26224877c4c2d5e073
Author: Juan Sarria <juansarriam@gmail.com>
Date:   Sat Mar 14 13:36:39 2020 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (471 of 471 strings)

 po/es.po | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

commit b0358b69d347840ebe78b275881bfa8d6422586a
Author: Davide Aiello <davidea@novilinguists.com>
Date:   Thu Mar 19 14:16:08 2020 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (471 of 471 strings)

 po/it.po | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

commit 88974cade1e28d2e6223d5570bb72ec14df8ee36
Author: Kukuh Syafaat <syafaatkukuh@gmail.com>
Date:   Mon Apr 13 10:07:04 2020 +0000

    Translated using Weblate (Indonesian)

    Currently translated at 100.0% (471 of 471 strings)

 po/id.po | 1103 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 549 insertions(+), 554 deletions(-)

commit 2053fa7ea5557cafa74cf385acab871a73662777
Author: Franziska Weinberger <f.weinberger@gemino.de>
Date:   Thu Mar 19 13:29:17 2020 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (471 of 471 strings)

 po/de.po | 30 +++++++++++++-----------------
 1 file changed, 13 insertions(+), 17 deletions(-)

commit b7d698ac1f157c7cefd5f31d83f04414184d1f87
Author: Christine Gabriel <christine@stoquart.com>
Date:   Thu Mar 19 16:20:56 2020 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (471 of 471 strings)

 po/fr.po | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

commit e399363a7aabffcd50f295b3e10d6bffee7f1bc5
Author: Kimmo Kujansuu <mrkujansuu@gmail.com>
Date:   Sat Apr 11 20:43:48 2020 +0000

    Translated using Weblate (Finnish)

    Currently translated at 57.5% (271 of 471 strings)

 po/fi.po | 99 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 52 insertions(+), 47 deletions(-)

commit d8daf12b442535fd99bb19951c009fa5c1d1073d
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Sat Mar 21 08:52:37 2020 +0000

    Translated using Weblate (Chinese (Taiwan))

    Currently translated at 100.0% (471 of 471 strings)

 po/zh_TW.po | 24 ++++++++++--------------
 1 file changed, 10 insertions(+), 14 deletions(-)

commit f2ffca5b29c52605c976a58e618786d4f06c2ea8
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Sat Mar 21 07:07:15 2020 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 100.0% (471 of 471 strings)

 po/zh_CN.po | 24 ++++++++++--------------
 1 file changed, 10 insertions(+), 14 deletions(-)

commit 5deced5894312e79bb8e4a0ceecae2b30cd91b2e
Author: mohammad alhargan <malham1@gmail.com>
Date:   Tue Apr 28 20:32:40 2020 +0000

    Translated using Weblate (Arabic)

    Currently translated at 100.0% (471 of 471 strings)

 po/ar.po | 143 +++++++++++++----------------------------------------------
 1 file changed, 31 insertions(+), 112 deletions(-)

commit 7ca2a97d76ca6dd1a7e68eab14968bb9da8af60d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 26 09:26:32 2020 +0200

    Pass mouse presses on object buttons on to the taskbar for #424.

 src/objbar.cc   | 12 ++++++++++++
 src/objbar.h    |  1 +
 src/objbutton.h |  1 +
 3 files changed, 14 insertions(+)

commit be1a2d9e7d8d8478c86b574f292ad889c80e4eac
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 22 07:52:45 2020 +0200

    Prevent warnings.

 doc/icewm.adoc | 105 +++++++++++++++++++++++++++--------------------------
 1 file changed, 53 insertions(+), 52 deletions(-)

commit 56b989a8d849f6bf4e15e3d49fd93356feb762bd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 22 01:46:38 2020 +0200

    Add -xembed for #423.

 man/icesh.pod |  6 +++++-
 src/icesh.cc  | 20 ++++++++++++++++++++
 2 files changed, 25 insertions(+), 1 deletion(-)

commit c5ff580042809fb5d4f37fb6014fe8ad51a863e7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 22 01:42:15 2020 +0200

    Fix -window. Use vector.

 man/icesh.pod |   6 +-
 src/icesh.cc  | 283 +++++++++++++++++++++++++-----------------------------
 2 files changed, 135 insertions(+), 154 deletions(-)

commit 8e041404292266bb2d6a3138b190af1209c6d262
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 22 01:39:01 2020 +0200

    check_argv shortcut.

 src/misc.cc | 20 +++++++++++++-------
 1 file changed, 13 insertions(+), 7 deletions(-)

commit 65a671b738de95c63c8287f3bdf778689f093cc4
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Apr 14 14:20:22 2020 +0200

    Revert "Auto-expand icon paths for all installed icon themes"

    This reverts commit df52bcb3b0eddf3958858e879d08ef2418909226.

    It was a flawed idea from the start and needs a (actually long overdue)
    concept extension.

 src/default.h  | 2 +-
 src/iceicon.cc | 2 --
 src/yicon.cc   | 3 ---
 src/yprefs.h   | 7 +++----
 4 files changed, 4 insertions(+), 10 deletions(-)

commit 3d1baf0b6c99f37a6f5a938adaac97e10e38d369
Author: Kukuh Syafaat <kukuh@syafaat.id>
Date:   Mon Apr 13 18:44:31 2020 +0700

    Update Indonesian translations (#421)

 po/id.po | 1104 +++++++++++++++++++++++++++++-----------------------------
 1 file changed, 551 insertions(+), 553 deletions(-)

commit e86ec796ce00ca60ad647a3a10db7ca44c671253
Author: Kukuh Syafaat <kukuh@syafaat.id>
Date:   Mon Apr 13 18:42:47 2020 +0700

    Update Indonesian translation of desktop files (#420)

    thank you!

 lib/icewm-session.desktop | 3 +++
 lib/icewm.desktop         | 2 ++
 2 files changed, 5 insertions(+)

commit 955f3af8abd92788cc9cd320ec0cf4459163d2e2
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Apr 11 12:34:30 2020 +0200

    Require C++11 standard

 src/CMakeLists.txt | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

commit 244ea934ea770d01aab5cc03c46f677355eb915c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 10 21:38:46 2020 +0200

    Assume C++11.

 src/base.h    | 16 ++--------------
 src/ref.h     |  9 ++-------
 src/ystring.h |  9 ++-------
 3 files changed, 6 insertions(+), 28 deletions(-)

commit f0d4e5ecfaf05d0181b7569099aa014a79b90805
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 10 21:35:14 2020 +0200

    Use override instead of OVERRIDE.

 src/apppstatus.h | 16 ++++++++--------
 src/ref.h        |  1 -
 src/wmprog.cc    | 30 +++++++++++++++---------------
 src/wmswitch.cc  | 30 +++++++++++++++---------------
 src/wmswitch.h   | 18 +++++++++---------
 src/ystring.h    |  1 -
 6 files changed, 47 insertions(+), 49 deletions(-)

commit 9bb948a1afabddc6e99c53b2c80874d8fcecf3d6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 10 21:12:04 2020 +0200

    Enforce C++11.

 configure.ac | 7 +++++++
 1 file changed, 7 insertions(+)

commit 6bae75103c69d3e76dbad51b7dd6ab18c6f41efa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 10 20:22:47 2020 +0200

    Remove unused wmActionListener.

 src/wmwinlist.cc | 5 ++---
 src/wmwinlist.h  | 3 +--
 2 files changed, 3 insertions(+), 5 deletions(-)

commit 2d3228ef2e5296ba3686ed97e9a198937f1681cd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 10 20:20:38 2020 +0200

    Add icewm-session --output=FILE option.

 man/icewm-session.pod | 12 ++++++++----
 src/icesm.cc          | 16 ++++++++++++++++
 2 files changed, 24 insertions(+), 4 deletions(-)

commit 326aca0da80d82526848b4a27a374131376d527e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Apr 10 19:04:10 2020 +0200

    autoupdate

 configure.ac | 48 +++++++++++++++++++++++-------------------------
 1 file changed, 23 insertions(+), 25 deletions(-)

commit fe2670223613617b8078f4606f324b4dff5d37f0
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Apr 10 18:59:31 2020 +0200

    Little optimization and cleanup

    For https://github.com/ice-wm/icewm/issues/13

 src/fdomenu.cc | 41 +++++++++++++++++++++--------------------
 1 file changed, 21 insertions(+), 20 deletions(-)

commit cd9b37b17da25c9ff660ee6aee63af172178a703
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Apr 10 17:27:03 2020 +0200

    Fuzzy matching of desktop categories

    Extra trickery to consider the filename of the menu description file or
    some equivalent category from KDE which might donate their icon and
    translation.

    For https://github.com/ice-wm/icewm/issues/13

 contrib/conv_cat.pl |   2 +-
 src/fdomenu.cc      | 115 +++++++++++++++-----
 src/fdospecgen.h    | 276 ++++++++++++++++++++++++------------------------
 3 files changed, 229 insertions(+), 164 deletions(-)

commit df52bcb3b0eddf3958858e879d08ef2418909226
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Apr 10 14:05:13 2020 +0200

    Auto-expand icon paths for all installed icon themes

    With exception of HighContrast because it tends to contain an icon
    version which is better matched by size but is black-white.
    This can be overriden by the user, definining HighContrast directly
    explicitly.

 src/default.h  | 2 +-
 src/iceicon.cc | 2 ++
 src/yicon.cc   | 3 +++
 src/yprefs.h   | 7 ++++---
 4 files changed, 10 insertions(+), 4 deletions(-)

commit 2db0be3fce12793d2bc930f4289214631695f8fb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 5 13:48:40 2020 +0200

    typo

 src/wmtaskbar.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit dab39bece09fea420c383f75e75db770fc17fa6c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 5 13:48:10 2020 +0200

    showProperty guievent

 src/icesh.cc | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit f0c72445ea0abf3d8bf8eeddb9adf2b91dd4f91e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 5 12:04:01 2020 +0200

    fileptr for #418.

 src/upath.h | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 5f70bfa62f4b3713e6252f781f9475d1d2e22f43
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 4 23:46:01 2020 +0200

    simplify

 src/acpustatus.cc | 46 ++++++++++++----------------------------------
 src/acpustatus.h  |  3 ---
 2 files changed, 12 insertions(+), 37 deletions(-)

commit 3230be92b7841189033cb7e71d16ec53a6762789
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 2 19:57:03 2020 +0200

    Repaint frame border immediately for #417.

 src/wmframe.cc | 17 ++---------------
 src/wmframe.h  |  1 -
 2 files changed, 2 insertions(+), 16 deletions(-)

commit dfa9b355b49494aa82ebffb2028b7944e3eb360e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 30 00:27:57 2020 +0200

    Fix TaskBarAutoHide for TaskBarDoubleHeight for #415.

 src/wmtaskbar.cc | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit f22dd30a599d305dba83c7a78bfeaa31c12efce8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 29 21:25:55 2020 +0200

    Port to solaris.

 autogen.sh        |  4 ++++
 configure.ac      | 14 ++++++++++++--
 src/acpustatus.cc |  4 ++--
 src/apppstatus.cc |  2 +-
 src/apppstatus.h  |  8 ++++++++
 src/base.h        |  4 ++++
 src/icesound.cc   |  1 +
 src/misc.cc       |  8 ++++++++
 src/ylocale.cc    |  2 +-
 9 files changed, 41 insertions(+), 6 deletions(-)

commit c5f62e7cd7572bf2207c716b3fa3c485f3606f48
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 29 12:51:19 2020 +0200

    Refactor mstring reference counting.

 src/mstring.cc | 203 ++++++++++++++++++++---------------------------------
 src/mstring.h  |  86 ++++++++++++++---------
 src/yarray.h   |   1 +
 3 files changed, 130 insertions(+), 160 deletions(-)

commit 8adf3c9ec5fb494adaf96a779cc145d92731f012
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 29 12:50:36 2020 +0200

    update string test.

 src/strtest.cc | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit cd6df4951fb855945cde1c931384c6a7a4f716ba
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 29 12:49:36 2020 +0200

    Assume net status is always available for Linux+BSDs.

 src/apppstatus.cc |  8 ++------
 src/apppstatus.h  | 11 -----------
 2 files changed, 2 insertions(+), 17 deletions(-)

commit 0c5f1bfb17496d8b78851f7e57e3299cebcf6fbd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 29 12:46:28 2020 +0200

    Drop outdated dkstat support for old solaris versions.

 configure.ac          |   2 +-
 src/CMakeLists.txt    |   1 -
 src/acpustatus.cc     | 180 ----------------------------------------------
 src/acpustatus.h      |  31 ++++----
 src/config.cmake.h.in |   3 +-
 5 files changed, 17 insertions(+), 200 deletions(-)

commit 90b0280842fd20ac06a5962f70aee134c57fd13b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 29 12:43:20 2020 +0200

    Slightly larger tray app icons.

 src/atray.cc | 13 ++++++++-----
 1 file changed, 8 insertions(+), 5 deletions(-)

commit 45acff0e0c3bc9ec152c255e284f046d10ee62a3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 29 12:42:16 2020 +0200

    Limit resize band to 3 pixels wide.

 src/movesize.cc | 35 ++++++++++++++++++++++++-----------
 src/wmframe.h   |  2 +-
 2 files changed, 25 insertions(+), 12 deletions(-)

commit 31bc19c8a8fb898a00ce4c4c88cfa97831f94fee
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 29 12:41:00 2020 +0200

    Create RGBA colors.

 src/ycolor.cc | 14 ++++++++++++++
 src/ycolor.h  |  6 ++++++
 2 files changed, 20 insertions(+)

commit 8ef9aec317f086f0affbe7062db6838fe6140796
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 29 12:40:28 2020 +0200

    fix leak.

 src/wmclient.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit f38a0664efb77f23b368c4b8aea3dc8ac4651a01
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 29 12:38:43 2020 +0200

    Use ascii.h consistently.

 src/fdomenu.cc  | 1 +
 src/icesm.cc    | 6 ++++--
 src/sysdep.h    | 1 -
 src/wmoption.cc | 5 ++---
 src/ypaint.cc   | 4 ++--
 5 files changed, 9 insertions(+), 8 deletions(-)

commit a23a3773115f110b9441d4a9b60e5de5e87295f8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 29 12:34:22 2020 +0200

    Add support for urxvt -borderless.

 src/yxapp.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 11b8ecfa52ca623b79d5cc0d8d0c3d4faf613a2d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 16 22:11:36 2020 +0100

    Prepare 1.6.5 release

 AUTHORS      |   32 +-
 ChangeLog    | 8099 +++++++++++++++++++++++++++---------------------------
 NEWS         |  234 +-
 README.md    |   40 +-
 RELEASE.md   |    2 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |  118 +-
 po/be.po     |  119 +-
 po/bg.po     |  118 +-
 po/ca.po     |  122 +-
 po/cs.po     |  122 +-
 po/da.po     |  122 +-
 po/de.po     |  118 +-
 po/el.po     |  118 +-
 po/en.po     |  116 +-
 po/es.po     |  118 +-
 po/fi.po     |  118 +-
 po/fr.po     |  118 +-
 po/he.po     |  118 +-
 po/hr.po     |  118 +-
 po/hu.po     |  118 +-
 po/icewm.pot |  118 +-
 po/id.po     |  118 +-
 po/it.po     |  118 +-
 po/ja.po     |  122 +-
 po/ko.po     |  118 +-
 po/lt.po     |  118 +-
 po/lv.po     |  118 +-
 po/mk.po     |  118 +-
 po/nb.po     |  118 +-
 po/nl.po     |  122 +-
 po/no.po     |  118 +-
 po/pl.po     |  118 +-
 po/pt_BR.po  |  118 +-
 po/ro.po     |  118 +-
 po/ru.po     |  118 +-
 po/sk.po     |  122 +-
 po/sl.po     |  118 +-
 po/sv.po     |  118 +-
 po/tr.po     |  118 +-
 po/uk.po     |  118 +-
 po/vi.po     |  118 +-
 po/zh_CN.po  |  118 +-
 po/zh_TW.po  |  118 +-
 45 files changed, 6597 insertions(+), 6329 deletions(-)

commit 1b2d3dee38acc9fbd3ee1f6c0abf20fecfaf4b47
Merge: 397480dc a0eef122
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 16 21:57:39 2020 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit a0eef122d36bfd9cd0d65403653f0d88e50451a7
Merge: cf87cd3d a287348f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 16 21:44:59 2020 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit a287348f866c19d11d73107015b114404387db97
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 16 18:31:52 2020 +0100

    Decimate number of frame paintings.

 src/wmframe.cc | 25 ++++++++++++++++++++++---
 src/wmframe.h  |  3 +++
 2 files changed, 25 insertions(+), 3 deletions(-)

commit 2cd75e5a694f002a8997278db21b07b0768afa97
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 16 18:31:27 2020 +0100

    Fix parsing of opacity in rgba colors.

 src/ycolor.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1bd6a987e2815b50325224fe093ebac40d280d03
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 16 13:19:14 2020 +0100

    Prevent auto hide if address bar is visible for #412.

 src/wmtaskbar.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 0c860aa986debf3d2ac989169f7219a0d02221e6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 16 09:51:10 2020 +0100

    Complete preferences.

 man/icewm-preferences.pod | 38 +++++++++++++++++++++++++++++---------
 1 file changed, 29 insertions(+), 9 deletions(-)

commit 98bd56b193668eec553d1f5aa361d6cba0e6b6cf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 16 09:50:41 2020 +0100

    Generate preferences in perlpod output format.

 src/genpref.cc | 82 ++++++++++++++++++++++++++++++++++++++++++++++++------
 1 file changed, 74 insertions(+), 8 deletions(-)

commit 241ab165e8b1fe1fd92f4c8bdd6710ebb1f25768
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 16 09:50:19 2020 +0100

    Fix spelling.

 src/default.h  |  8 ++++----
 src/themable.h | 10 +++++-----
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 4d8ebf4fec3fcde9ec668145ac108503097ed60f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 15 23:38:52 2020 +0100

    Fixes for configure options.

 src/wmmgr.cc | 2 +-
 src/yfont.cc | 1 +
 src/yxapp.cc | 4 ++++
 3 files changed, 6 insertions(+), 1 deletion(-)

commit 2c138b64c0849c2644478566a42c203ec4987a33
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 15 22:19:01 2020 +0100

    Test clock_gettime against librt.

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 6a55d34d1dc65ab149a5e0fe82ff4ad14c1cb8ae
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 15 18:39:53 2020 +0100

    Add startup options to generated preferences.

 src/default.h   | 20 ++++++++++++++++++--
 src/genpref.cc  |  4 ++++
 src/wmapp.cc    | 51 +++++++++++++++++++++++++--------------------------
 src/wmconfig.cc | 11 +++--------
 src/wmconfig.h  |  5 +++--
 src/ytrace.h    |  3 +++
 6 files changed, 56 insertions(+), 38 deletions(-)

commit c7c44cd080f45b3dc907d5d72641fd1df4647dbd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 15 10:17:05 2020 +0100

    Fix for net menu.

 src/apppstatus.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2e6b0cbad64d99772ed31e6e2343e81c34144ae3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 15 10:07:25 2020 +0100

    Preserve tooltip on button press.

 src/ywindow.cc | 24 +++++++++++++-----------
 src/ywindow.h  |  1 +
 2 files changed, 14 insertions(+), 11 deletions(-)

commit 95ad9203f524718e3ae9e7fb97554ca10730e21a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Mar 14 15:10:39 2020 +0100

    Fix tooltip positioning for multi-monitor when primary screen is right.

 src/ytooltip.cc | 82 ++++++++++++++++++-----------------------------------
 src/ytooltip.h  | 23 +++++++--------
 src/ywindow.cc  | 39 ++++++-------------------
 src/ywindow.h   |  3 +-
 4 files changed, 47 insertions(+), 100 deletions(-)

commit cbe3bc5173922b5fea505b9c0578ed3ee871e0b4
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Mar 14 10:28:24 2020 +0100

    Drop CAVEATS chapter of icewm-menu-xrandr manpage

    Didn't make much sense and is better explained as part of the
    introduction.

 man/icewm-menu-xrandr.pod | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit 9bc791e85a1de0f07337f84a5b20cca7b641bf98
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 13 22:46:27 2020 +0100

    Prefer printf over echo for portability reasons.

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c03f085656e30dc707d591447d227279cc4f2fa7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 13 22:37:29 2020 +0100

    getloadavg is needed for non-linux.

 src/CMakeLists.txt | 2 ++
 1 file changed, 2 insertions(+)

commit 24dbdad4536707b978bbd70cb2551b81427e2098
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 13 20:55:19 2020 +0100

    install icewm-menu-xrandr.

 man/Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit df34cd627ea44ecdd7e870b4a9157d349310c7b5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Mar 13 19:34:53 2020 +0100

    Fix tooltip positioning for multi-monitor when primary screen is right.

 src/ytooltip.cc | 39 +++++++++++++++++++++++----------------
 1 file changed, 23 insertions(+), 16 deletions(-)

commit 2cdfbc3bd9df0e2634061bd3f7cef73c2d800008
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Fri Mar 13 14:41:17 2020 +0000

    Translated using Weblate (Danish)

    Currently translated at 100.0% (471 of 471 strings)

 po/da.po | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

commit cbfc5028a795d0361ccda6a83ad42cba7256d81a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 12 22:58:49 2020 +0100

    fontPreferFreetype belongs in yprefs.h.

 src/default.h  | 1 -
 src/icewmbg.cc | 4 ----
 src/yprefs.h   | 1 +
 3 files changed, 1 insertion(+), 5 deletions(-)

commit 2543cc63cf213eef8a5b41e333a036a03c9bdebc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 12 21:30:01 2020 +0100

    If a first round of search fails on the start of window titles then try
    another round of search anywhere in titles, but case sensitive.

 src/ylistbox.cc | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit 53344f456d7ad76efebf1480a8b61781b5d968e5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 12 21:27:47 2020 +0100

    Make src/CMakeLists.txt consistent with configure.ac.

 src/CMakeLists.txt | 62 +++++++++-----------------------------------------
 1 file changed, 11 insertions(+), 51 deletions(-)

commit 30d82f63f3133accae0c189a1dff0cd5917a5a7b
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Thu Mar 12 15:27:17 2020 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (471 of 471 strings)

 po/sk.po | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

commit 92a6bdc477b53b44718ce92e37160918b18d7d50
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 12 18:29:14 2020 +0100

    Make all characters available for selection application windows in the
    window list window. Include control letters which require shift, but
    without extending the selection.

 src/ylistbox.cc | 26 ++++++++++++++------------
 1 file changed, 14 insertions(+), 12 deletions(-)

commit 13573f7dbc65d729667fd3e4d84d9028e10cb646
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 12 18:29:00 2020 +0100

    +isControl.

 src/ascii.h | 5 +++++
 1 file changed, 5 insertions(+)

commit 0906a1c2739350e3f7959234c7c9bbb4b74f0857
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Thu Mar 12 12:12:48 2020 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (471 of 471 strings)

 po/pt_BR.po | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

commit 03f3945942b8615fc1fea13cd3591ecacc35a87d
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Thu Mar 12 08:40:18 2020 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (471 of 471 strings)

 po/nl.po | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

commit c76b0e938a654f37f046b67917ef457c559464a1
Author: Aleš Kastner <alkas@volny.cz>
Date:   Thu Mar 12 07:31:52 2020 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (471 of 471 strings)

 po/cs.po | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

commit 62a31b9d07c48bcffcd258a4bf336c53ee43e4b9
Author: David Medina <medipas@gmail.com>
Date:   Thu Mar 12 08:59:40 2020 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (471 of 471 strings)

 po/ca.po | 42 +++++++++++++++++++-----------------------
 1 file changed, 19 insertions(+), 23 deletions(-)

commit ad296eee633dd85e522c6e8c0619d87ae6cf2410
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Thu Mar 12 02:27:16 2020 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (471 of 471 strings)

 po/ja.po | 28 ++++++++++++----------------
 1 file changed, 12 insertions(+), 16 deletions(-)

commit a3c02d46db2247d999000b898fdcbed8207cb847
Merge: a3d90f29 2417a8fa
Author: Stanislav Brabec <sbrabec@suse.cz>
Date:   Thu Mar 12 03:16:12 2020 +0100

    Merge remote-tracking branch 'weblate/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit a3d90f294ddd5f2cfc21ed6cd47b17782eb0491c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 11 22:21:13 2020 +0100

    Document all hidden features of the window list window.

 man/icewm.pod | 32 +++++++++++++++++++++-----------
 1 file changed, 21 insertions(+), 11 deletions(-)

commit 00cb2e87932d9791a99adf58b06ca9b5b6f8f97e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 10 20:28:35 2020 +0100

    More window list details documented.

 man/icewm.pod | 31 ++++++++++++++++++++++++++-----
 1 file changed, 26 insertions(+), 5 deletions(-)

commit c9add5cb00440d9fd8cd29ecac2993e8d6d77e58
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 9 23:26:40 2020 +0100

    Update widest item.

 src/ylistbox.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 86294b43f168dc8246dbfaf40f8c99aa4b19e52f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 8 17:55:53 2020 +0100

    Clarify AutoRaise for #410.

 man/icewm-preferences.pod | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit e44288da2a4cd013d35e203dff8eb406926637bd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 8 17:42:25 2020 +0100

    Cleanup polling.

 src/amailbox.cc    |   8 ++--
 src/yapp.cc        |  43 ++++++++++-----------
 src/yapp.h         |   6 +--
 src/ypipereader.cc |  54 +++++++-------------------
 src/ypipereader.h  |   5 +--
 src/ypoll.h        |  35 +++++++++--------
 src/ysmapp.cc      |  13 +------
 src/ysmapp.h       |   6 +--
 src/ysocket.cc     | 103 ++++++++++++++++---------------------------------
 src/ysocket.h      |  13 +++----
 src/yxapp.cc       |  11 +-----
 src/yxapp.h        |   5 +--
 12 files changed, 106 insertions(+), 196 deletions(-)

commit 3b5652e0ffa5669f520f8d08ac6e502271391b11
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 8 17:28:19 2020 +0100

    If there is no focused window, then select the current workspace.
    Detect when a change in application title requires resizing the window
    list.
    When applications are added or removed, then keep track of changes in
    fFocusedItem. Only reset scrollbars before redrawing the window list.

 src/wmwinlist.cc | 16 +++++++-----
 src/wmwinlist.h  |  3 +--
 src/ylistbox.cc  | 73 +++++++++++++++++++++++++++++++++-------------------
 src/ylistbox.h   |  4 +--
 4 files changed, 58 insertions(+), 38 deletions(-)

commit d6d7872dddd96e7c58860294fd98420f3062ccc2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Mar 5 21:08:20 2020 +0100

    Nearly any property will do.

 man/icesh.pod | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit b71b4d2e252fd1977456835af429b731fdfde4ab
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 1 10:15:38 2020 +0100

    Less is more.

 man/icesh.pod | 4 ----
 1 file changed, 4 deletions(-)

commit fbc312d8dcf9f4699815110f9698367bbf8fde10
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 1 10:13:27 2020 +0100

    Change EWMH window state in icesh.

 man/icesh.pod |  50 ++++++++++-
 src/icesh.cc  | 253 +++++++++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 278 insertions(+), 25 deletions(-)

commit 6d89019beda276214b3664fa45d72972ecde6464
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 1 10:12:58 2020 +0100

    Window list details.

 man/icewm.pod | 15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

commit 2417a8fa6f3559b68622cc8b40711b54b3be65b5
Author: ingemar karlsson <ingemar_bengt@hotmail.com>
Date:   Fri Feb 28 16:17:29 2020 +0000

    Translated using Weblate (Swedish)

    Currently translated at 100.0% (466 of 466 strings)

 po/sv.po | 16 +++++++---------
 1 file changed, 7 insertions(+), 9 deletions(-)

commit cfc6a0657907006085789439e9c81e694eb10484
Author: ingemar karlsson <ingemar_bengt@hotmail.com>
Date:   Fri Feb 28 13:34:04 2020 +0000

    Translated using Weblate (Swedish)

    Currently translated at 100.0% (466 of 466 strings)

 po/sv.po | 145 ++++++++++++++---------------------------------------------
 1 file changed, 34 insertions(+), 111 deletions(-)

commit 8eb3a039688ac01e81f4ad5704f20d68cea7f400
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 27 23:18:17 2020 +0100

    update po files

 po/ar.po     | 115 +++++++++++++++++++++++++++++------------------
 po/be.po     | 115 +++++++++++++++++++++++++++++------------------
 po/bg.po     | 115 +++++++++++++++++++++++++++++------------------
 po/ca.po     | 119 +++++++++++++++++++++++++++++-------------------
 po/cs.po     | 119 +++++++++++++++++++++++++++++-------------------
 po/da.po     | 119 +++++++++++++++++++++++++++++-------------------
 po/de.po     | 119 +++++++++++++++++++++++++++++-------------------
 po/el.po     | 115 +++++++++++++++++++++++++++++------------------
 po/en.po     | 107 ++++++++++++++++++++++++++-----------------
 po/es.po     | 123 +++++++++++++++++++++++++++++++-------------------
 po/fi.po     | 115 +++++++++++++++++++++++++++++------------------
 po/fr.po     | 135 +++++++++++++++++++++++++++++++++----------------------
 po/he.po     | 115 +++++++++++++++++++++++++++++------------------
 po/hr.po     | 111 +++++++++++++++++++++++++++------------------
 po/hu.po     | 119 ++++++++++++++++++++++++++++++------------------
 po/icewm.pot | 109 +++++++++++++++++++++++++++-----------------
 po/id.po     | 115 +++++++++++++++++++++++++++++------------------
 po/it.po     | 119 +++++++++++++++++++++++++++++-------------------
 po/ja.po     | 119 +++++++++++++++++++++++++++++-------------------
 po/ko.po     | 115 +++++++++++++++++++++++++++++------------------
 po/lt.po     | 115 +++++++++++++++++++++++++++++------------------
 po/lv.po     | 115 +++++++++++++++++++++++++++++------------------
 po/mk.po     | 115 +++++++++++++++++++++++++++++------------------
 po/nb.po     | 115 +++++++++++++++++++++++++++++------------------
 po/nl.po     | 119 +++++++++++++++++++++++++++++-------------------
 po/no.po     | 115 +++++++++++++++++++++++++++++------------------
 po/pl.po     | 115 +++++++++++++++++++++++++++++------------------
 po/pt_BR.po  | 115 +++++++++++++++++++++++++++++------------------
 po/ro.po     | 115 +++++++++++++++++++++++++++++------------------
 po/ru.po     | 115 +++++++++++++++++++++++++++++------------------
 po/sk.po     | 119 +++++++++++++++++++++++++++++-------------------
 po/sl.po     | 115 +++++++++++++++++++++++++++++------------------
 po/sv.po     | 115 +++++++++++++++++++++++++++++------------------
 po/tr.po     | 115 +++++++++++++++++++++++++++++------------------
 po/uk.po     | 115 +++++++++++++++++++++++++++++------------------
 po/vi.po     | 115 +++++++++++++++++++++++++++++------------------
 po/zh_CN.po  | 115 +++++++++++++++++++++++++++++------------------
 po/zh_TW.po  | 115 +++++++++++++++++++++++++++++------------------
 38 files changed, 2755 insertions(+), 1661 deletions(-)

commit a5ce9c6750358b5cdd79d16b89b36180be106c3e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 27 22:53:29 2020 +0100

    First attempt to modernize icewm-set-gnomewm a bit.

 icewm-set-gnomewm | 31 +++++++++++++++++++++++++------
 1 file changed, 25 insertions(+), 6 deletions(-)

commit 865dbe2f10cceb5f05cd4e20f9a273a1732cc9e5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 27 22:51:56 2020 +0100

    Filter on property values and add click and delay to icesh.

 man/icesh.pod |  23 +++++--
 src/icesh.cc  | 187 ++++++++++++++++++++++++++++++++++++++++++++++++------
 2 files changed, 182 insertions(+), 28 deletions(-)

commit 61e8401b51178bdfb669da21d62f981b5a2029b7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Feb 27 22:50:21 2020 +0100

    Move testOnce to yarray.cc to reduce exe size of icesh.

 src/misc.cc   | 6 ------
 src/yarray.cc | 6 ++++++
 2 files changed, 6 insertions(+), 6 deletions(-)

commit b72d8c99678fe220b0a82638e91e50f33752e5df
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 25 18:09:47 2020 +0100

    When parsing workspace names in icesh also test with spaces trimmed.

 src/icesh.cc | 34 ++++++++++++++++++++++++++--------
 1 file changed, 26 insertions(+), 8 deletions(-)

commit 7fad791b8bf93052ed38ebb4a861f494cfd7312a
Author: Christine Gabriel <christine@stoquart.com>
Date:   Thu Feb 20 13:57:51 2020 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (466 of 466 strings)

 po/fr.po | 138 +++++++++++++----------------------------------------------
 1 file changed, 30 insertions(+), 108 deletions(-)

commit 79a1ce9a2f5dd5eaae92c86fe9e936d9edbec306
Author: Juan Sarria <juansarriam@gmail.com>
Date:   Wed Feb 19 21:51:36 2020 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (466 of 466 strings)

 po/es.po | 27 +++++++++------------------
 1 file changed, 9 insertions(+), 18 deletions(-)

commit ed6222d15bb882751a6f66fcd3fad0eb6366b10b
Author: Davide Aiello <davidea@novilinguists.com>
Date:   Wed Feb 19 13:51:56 2020 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (466 of 466 strings)

 po/it.po | 39 ++++++++++++++-------------------------
 1 file changed, 14 insertions(+), 25 deletions(-)

commit 0916886663a3201168f8abc772d86aa3d3142576
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Mon Feb 17 10:12:27 2020 +0000

    Translated using Weblate (Chinese (Taiwan))

    Currently translated at 100.0% (466 of 466 strings)

 po/zh_TW.po | 47 +++++++++++++++--------------------------------
 1 file changed, 15 insertions(+), 32 deletions(-)

commit d31b9d6b26f1366d0b4b10065173cc21f05f7994
Merge: e8e67837 c266bbfc
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Mon Feb 17 05:54:54 2020 +0000

    Merge branch 'origin/icewm-1-4-BRANCH' into Weblate.

commit c266bbfc5ca7e2ad511e7d8d7730ada156045322
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Mon Feb 17 03:12:01 2020 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 100.0% (466 of 466 strings)

 po/zh_CN.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit e8e6783741066dce56b61a3b82cc63a98018650e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 16 14:37:22 2020 +0100

    Make tray toggle more intuitive by toggling between only two states.

 src/wmframe.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1b6a4cf580efae47eca38995f6d67d011463011f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 16 14:34:17 2020 +0100

    Setting winoptions tray option non-zero overrules ignoreTaskBar.

 src/wmframe.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c53bfb4c039b89d55e621a593a349507e667e838
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 16 14:31:14 2020 +0100

    Enable toggle tray in window menu, even if IgnoreTaskBar is set, if the
    tray option was set in the winoptions files.

 src/decorate.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 05de45e2d2a6b4b2880cc1c648b1bdcb99fd9dba
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 16 14:01:04 2020 +0100

    Document the window list window.

 man/icewm.pod | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit 482ed7b123ec31007918ed57a6fb3f749b3f017e
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Feb 16 05:29:37 2020 +0100

    Special --max mode for menu options selector

    Instead of automatic modes, pick the one with highest refresh rate.

    Also configured usual indentation rules, and further refactoring.

 contrib/icewm-menu-xrandr | 304 ++++++++++++++++++++++++++----------------
 man/icewm-menu-xrandr.pod |  15 ++-
 2 files changed, 202 insertions(+), 117 deletions(-)

commit 4c930e6c101d4d9f3411e39bf3fd49db84037c68
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Wed Feb 12 17:41:01 2020 +0000

    Translated using Weblate (Danish)

    Currently translated at 100.0% (466 of 466 strings)

 po/da.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 1a744920cf3cfb35b56b26c647c930e8abfd3e37
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Tue Feb 11 16:43:56 2020 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (466 of 466 strings)

 po/de.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 104b788f150acf57a9f9cd6fa1a106d4ee737255
Author: Rodrigo Macedo <rmsolucoeseminformatic4@gmail.com>
Date:   Tue Feb 11 00:32:49 2020 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (466 of 466 strings)

 po/pt_BR.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 3318b1789a4793bd6c729a7ea576086b568e2a0e
Author: Aleš Kastner <alkas@volny.cz>
Date:   Sun Feb 9 17:04:27 2020 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (466 of 466 strings)

 po/cs.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit e32df48c3979064521b1658c3d09cb10fda91f4b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 9 19:29:12 2020 +0100

    Use /usr/bin/echo for -e option.

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ddc1959d6bc11a27d4f8e8c2259264750c9abec8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 9 19:06:30 2020 +0100

    1.15 works fine

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1d93ff5a0aebb205584a8708f0b8dd9679939848
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 9 19:02:54 2020 +0100

    Optimize startup of taskbar.

 src/wmtaskbar.cc | 47 +++++++++++------------------------------------
 1 file changed, 11 insertions(+), 36 deletions(-)

commit 910ea6107c3cee4dc451cd43463a83f5ae8ce6b2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 9 19:02:46 2020 +0100

    class YStrut.

 src/wmtaskbar.h | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 56b19da16dc21442f4e91cada906bf244dd39f48
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 9 19:02:21 2020 +0100

    remove empty handleDrag.

 src/movesize.cc | 6 ------
 src/wmframe.h   | 2 --
 2 files changed, 8 deletions(-)

commit cb3dfe56a9a50d6a731b5290154b0e0ab15c4d76
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 9 19:01:49 2020 +0100

    remove unused handleDrag.

 src/atasks.h | 4 ----
 1 file changed, 4 deletions(-)

commit 95893d4019fc52cc2565d41309fe93f9cf88b049
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 9 19:01:14 2020 +0100

    be silent when spying on ClientMessage.

 src/icesh.cc | 1 +
 1 file changed, 1 insertion(+)

commit e8633abe5aa553729b7becbda80dad55f28689ab
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Sat Feb 8 23:05:41 2020 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (466 of 466 strings)

 po/ja.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 27ec9f1ecc88746dfe48b3ee7530c018af01117c
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Sat Feb 8 20:24:46 2020 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (466 of 466 strings)

 po/nl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit d8191de450c66677a9a5aad44d8d12edce69b512
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Sat Feb 8 12:38:17 2020 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (466 of 466 strings)

 po/sk.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 5baa51f56f8a8c09a97b798a8c43a18e2b2902f2
Author: David Medina <medipas@gmail.com>
Date:   Sat Feb 8 09:45:09 2020 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (466 of 466 strings)

 po/ca.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 1251fb71f50288019f58722ea98cc566e3751fd4
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sat Feb 8 03:15:30 2020 -0700

    do not pad day number in MDOCDATE

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 28c9265cfabb1cc04d49cc5c651193ac93982104
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sat Feb 8 03:09:15 2020 -0700

    change where csope rule is added to po/Makefile(.in.in)

 autogen.sh   | 4 ++++
 configure.sh | 3 ---
 2 files changed, 4 insertions(+), 3 deletions(-)

commit d192cb5d39b48c8e9da923590fdad4c50d45d43b
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sat Feb 8 02:53:24 2020 -0700

    add some ignores

 .gitignore | 5 +++++
 1 file changed, 5 insertions(+)

commit 83c76f50936e8086a75edc218081b886c77fa50c
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sat Feb 8 02:52:27 2020 -0700

    add release file

 RELEASE.md | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 4f89b2cbc9beee25731a2930a70e9cd61230c7ea
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sat Feb 8 02:50:34 2020 -0700

    update release files

 AUTHORS   |   25 +-
 ChangeLog | 8497 ++++++++++++++++++++++++++-------------------------------
 NEWS      | 2751 +++++++++++++++++--
 3 files changed, 6474 insertions(+), 4799 deletions(-)

commit e64a13c863c075d9f6cff087f6c5427f13672248
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sat Feb 8 02:46:36 2020 -0700

    need force

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 354fef75011721fc594cd13163f84e976f3931bd
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sat Feb 8 02:46:02 2020 -0700

    remove trailing space

 README.md.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7eeb2217d280be693f4c5eb7bc4c808427302a2e
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sat Feb 8 02:40:02 2020 -0700

    update po files

 po/ar.po     | 276 +++++++++++++++++++++++++++--------------------------
 po/be.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/bg.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/ca.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/cs.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/da.po     | 284 ++++++++++++++++++++++++++++---------------------------
 po/de.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/el.po     | 276 +++++++++++++++++++++++++++--------------------------
 po/en.po     | 274 +++++++++++++++++++++++++++--------------------------
 po/es.po     | 276 +++++++++++++++++++++++++++--------------------------
 po/fi.po     | 276 +++++++++++++++++++++++++++--------------------------
 po/fr.po     | 276 +++++++++++++++++++++++++++--------------------------
 po/he.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/hr.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/hu.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/icewm.pot | 276 +++++++++++++++++++++++++++--------------------------
 po/id.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/it.po     | 276 +++++++++++++++++++++++++++--------------------------
 po/ja.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/ko.po     | 276 +++++++++++++++++++++++++++--------------------------
 po/lt.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/lv.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/mk.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/nb.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/nl.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/no.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/pl.po     | 276 +++++++++++++++++++++++++++--------------------------
 po/pt_BR.po  | 276 +++++++++++++++++++++++++++--------------------------
 po/ro.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/ru.po     | 276 +++++++++++++++++++++++++++--------------------------
 po/sk.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/sl.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/sv.po     | 276 +++++++++++++++++++++++++++--------------------------
 po/tr.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/uk.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/vi.po     | 280 +++++++++++++++++++++++++++---------------------------
 po/zh_CN.po  | 276 +++++++++++++++++++++++++++--------------------------
 po/zh_TW.po  | 276 +++++++++++++++++++++++++++--------------------------
 38 files changed, 5367 insertions(+), 5215 deletions(-)

commit decf211cc450f73d9036d6d706529487ed6e48f5
Merge: 0d6ceb81 29e4dc2d
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sat Feb 8 02:29:47 2020 -0700

    Merge branch 'icewm-1-4-BRANCH' of github.com:bbidulock/icewm into
    icewm-1-4-BRANCH

commit 29e4dc2d7a83d1b2cc13dfe0d85f2017b08cd059
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Feb 8 08:59:20 2020 +0100

    Document all task button mouse clicks.

 man/icewm.pod | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit 1af4495250099ad2b5ba0ee9b3d0b07d1b80b7f1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Feb 4 08:48:31 2020 +0100

    Implement -X for ice-wm/icewm#10.

 src/icesh.cc | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit 49d887ed678ea120d263a2cff4e6f4cd2883c07d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 3 23:30:10 2020 +0100

    skip separators for #409.

 src/objbar.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 9a021794a768ebc6df316845ca11015d5451d1ba
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 2 14:51:11 2020 +0100

    Relinquish manager selection when done.
    If exec fails then let icewm-session restart icewm.

 src/wmapp.cc | 24 ++++++++++++++++++------
 src/wmapp.h  |  3 +++
 2 files changed, 21 insertions(+), 6 deletions(-)

commit c762d911fffac6bccb8398ed52415aedb975278d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 2 14:50:28 2020 +0100

    Eliminate one loop in getWindowsToArrange.

 src/wmmgr.cc | 46 ++++++++++++++++++----------------------------
 src/wmmgr.h  |  2 +-
 2 files changed, 19 insertions(+), 29 deletions(-)

commit eb84fca49586f104c144b73f98a52d2efa2799a8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Feb 2 14:49:43 2020 +0100

    Restore close button for About and Windowlist windows.

 src/wmclient.cc | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 82498c0a8fc319268ca477e5b49c8a602f0b71f5
Author: David Medina <medipas@gmail.com>
Date:   Mon Jan 27 15:32:38 2020 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (465 of 465 strings)

 po/ca.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0bf5827938ca2b550fe05800867e982108d99807
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 26 14:59:10 2020 +0100

    Use YProperty and setProperty to reduce unreadable code.

 src/wmclient.cc | 724 +++++++++++-----------------------------------------
 1 file changed, 156 insertions(+), 568 deletions(-)

commit 8a25f799578bdef785319065c0af7d7e4aca8077
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 26 14:58:20 2020 +0100

    Use YProperty to simplify.

 src/wmmgr.cc | 72 ++++++++++++++++++--------------------------------------
 1 file changed, 23 insertions(+), 49 deletions(-)

commit 69d76454a6b30409d24ed0b30fe2a357df4cfcd1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 26 14:57:38 2020 +0100

    setWinStateHint is not needed for window list window.

 src/wmwinlist.cc | 3 ---
 1 file changed, 3 deletions(-)

commit 2c670861d5331fa02e5f0d376302dd5dbe6ef421
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 26 14:57:08 2020 +0100

    Use YProperty to reduce noise.

 src/yinput.cc | 25 ++++---------------------
 1 file changed, 4 insertions(+), 21 deletions(-)

commit 7cd8d6a01b7ce3352f1c3fe14449aab600950e71
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 26 14:56:45 2020 +0100

    Use YProperty for less noise.

 src/yxtray.cc | 41 ++++++-----------------------------------
 1 file changed, 6 insertions(+), 35 deletions(-)

commit ee726d3c7aab073fae54272062d2d7b75d9add6a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 26 14:55:51 2020 +0100

    YTextProperty accepts nullptr.

 src/yxapp.cc | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit f0a60a8092ab68cbabd299c982d091626e8b08fe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 26 14:55:25 2020 +0100

    YProperty constructor for Window handle.

 src/yxapp.h | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 419bf4a82dca7c4df727f31d2816facecac68afe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 23 20:54:55 2020 +0100

    Remove obsolete WinHintsDockHorizontal comments.

 src/WinMgr.h     | 27 ---------------------------
 src/wmtaskbar.cc |  1 -
 2 files changed, 28 deletions(-)

commit d7ff23b6ddfd2340410e80039eba14206a3292f1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 23 20:45:53 2020 +0100

    Simplify YProperty array access.

 src/wmclient.cc | 4 ++--
 src/yxapp.h     | 4 ++--
 src/yxembed.cc  | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 9dfdaf8bbec198e956de70036b5e1e6b825a6210
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 23 19:59:22 2020 +0100

    Simplify conversion between _NET_WM_STATE and WIN_STATE.

 src/wmclient.cc | 159 ++++++++++++++--------------------------------------
 1 file changed, 42 insertions(+), 117 deletions(-)

commit 46b2f3a67637991af404e5381ae2eaf7e580d557
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 23 19:55:40 2020 +0100

    Fix 3 WIN_STATE comments in header

 src/WinMgr.h | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 3825118e1a4c3991f4a2c5455bb8036d33899228
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 22 21:21:39 2020 +0100

    Add more non-default build targets to .gitignore.

 .gitignore | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

commit 06067484296f1aeee127716c03cfe85d969f1aac
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 12 23:05:58 2020 +0100

    "icesh last" should only read the client list if there was no previous
    selection.

 src/icesh.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6ccbb6f5d8aebe2d5fc84e18b94ac07f0d14dbc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jan 12 23:04:03 2020 +0100

    Use YArray in WindowList.

 src/wmframe.cc   |   9 +-
 src/wmwinlist.cc | 217 ++++++++++++++++++------------------------
 src/wmwinlist.h  |  31 +++---
 src/ylistbox.cc  | 263 ++++++++++++++-------------------------------------
 src/ylistbox.h   |  45 ++++-----
 5 files changed, 206 insertions(+), 359 deletions(-)

commit bc6ff1297c0fb2a8977c00cf55318566222b488e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 9 21:33:31 2020 +0100

    Split off ytime.h and ytime.cc for icesh which doesn't need YTimer nor
    YApplication.

 src/CMakeLists.txt |  8 ++---
 src/Makefile.am    |  4 +++
 src/icesh.cc       |  2 +-
 src/icesm.cc       |  2 +-
 src/icesound.cc    |  2 +-
 src/ytime.cc       | 87 ++++++++++++++++++++++++++++++++++++++++++++++++++
 src/ytime.h        | 46 ++++++++++++++++++++++++++
 src/ytimer.cc      | 79 ---------------------------------------------
 src/ytimer.h       | 44 ++-----------------------
 9 files changed, 147 insertions(+), 127 deletions(-)

commit 470432e2f971461e3f3c1564b63705b3a31cc86e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jan 9 20:51:52 2020 +0100

    Update version number to 1.6.4 and fix cmake build for icesh by adding
    ytimer.cc.

 README.md          | 2 +-
 VERSION            | 2 +-
 configure.ac       | 6 +++---
 src/CMakeLists.txt | 2 +-
 4 files changed, 6 insertions(+), 6 deletions(-)

commit 397480dc2390d341739be6e7c13f1ce9c3d5b794
Merge: 690df651 6b1721fe
Author: gijsbers <gijsbers@users.noreply.github.com>
Date:   Wed Jan 8 12:13:19 2020 +0100

    Merge pull request #7 from ndowens/patch-1

    Missing ytimer link

commit 6b1721fec3e5608327e553c43f3fd8f761cb66a7
Author: Nathan <ndowens04@gmail.com>
Date:   Wed Jan 8 06:07:40 2020 +0000

    Missing ytimer link

    Closes: #6

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 690df6513903f2f020dbf24ab4e7c9155e32c37d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 7 21:36:40 2020 +0100

    Prepare 1.6.4 release

 AUTHORS      |   55 +-
 ChangeLog    | 8074 +++++++++++++++++++++++++++---------------------------
 NEWS         | 3665 ++++---------------------
 README.md    |   40 +-
 VERSION      |    2 +-
 configure.ac |    8 +-
 po/ar.po     |  214 +-
 po/be.po     |  214 +-
 po/bg.po     |  214 +-
 po/ca.po     |  218 +-
 po/cs.po     |  218 +-
 po/da.po     |  222 +-
 po/de.po     |  218 +-
 po/el.po     |  214 +-
 po/en.po     |  214 +-
 po/es.po     |  214 +-
 po/fi.po     |  214 +-
 po/fr.po     |  214 +-
 po/he.po     |  214 +-
 po/hr.po     |  214 +-
 po/hu.po     |  214 +-
 po/icewm.pot |  216 +-
 po/id.po     |  214 +-
 po/it.po     |  214 +-
 po/ja.po     |  218 +-
 po/ko.po     |  214 +-
 po/lt.po     |  214 +-
 po/lv.po     |  214 +-
 po/mk.po     |  214 +-
 po/nb.po     |  214 +-
 po/nl.po     |  218 +-
 po/no.po     |  214 +-
 po/pl.po     |  214 +-
 po/pt_BR.po  |  214 +-
 po/ro.po     |  214 +-
 po/ru.po     |  214 +-
 po/sk.po     |  218 +-
 po/sl.po     |  214 +-
 po/sv.po     |  214 +-
 po/tr.po     |  214 +-
 po/uk.po     |  214 +-
 po/vi.po     |  214 +-
 po/zh_CN.po  |  214 +-
 po/zh_TW.po  |  214 +-
 44 files changed, 8819 insertions(+), 11191 deletions(-)

commit a8512db07f3ca9abc4b1cdc260843ef6ee6e0864
Merge: de74029e cf87cd3d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 7 21:09:18 2020 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit cf87cd3d1c129ef2385c1e66bcc94b3bcd3d2e24
Merge: f0f55711 6eb54d67
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 7 20:49:41 2020 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 6eb54d6723aa3673c1a6ae70baa764aaedcfc62a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jan 7 18:28:06 2020 +0100

    Textcolor -> text color.

 src/themable.h | 54 +++++++++++++++++++++++++++---------------------------
 1 file changed, 27 insertions(+), 27 deletions(-)

commit 3347034a2d3b65e1d0291ab9a133423f740f17a0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 6 22:00:16 2020 +0100

    fix gcc warnings.

 src/icesh.cc | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 6855a46d87dc242dc36477340935630afd37d4f0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 6 21:52:40 2020 +0100

    remove .bak

 man/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 3f7fa01cf503a7e3c22aea99953101249a323c6f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 6 21:42:08 2020 +0100

    document

 man/icewm-preferences.pod | 67 +++++++++++++++++++++++--------------------
 man/icewm.pod             |  6 ++--
 2 files changed, 39 insertions(+), 34 deletions(-)

commit fbf3ec7f3abcb7380b39946c911c4bd1ca184aca
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jan 6 20:52:47 2020 +0100

    Don't show YMsgBox in top left corner.

 src/ymsgbox.cc | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit a5513c045b46b62a8f2bcf005b823c6dcee0400b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 1 11:48:19 2020 +0100

    Use the _NET_MOVERESIZE_WINDOW of #401 for moving and sizing.

 src/icesh.cc | 35 +++++++++++++++++++++--------------
 1 file changed, 21 insertions(+), 14 deletions(-)

commit 218986ec5f6749bea3f29bcd9697625ad372edd9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 1 11:46:46 2020 +0100

    Replace implementation of _NET_MOVERESIZE_WINDOW for #401.

 src/wmclient.cc | 29 ++++++++++++++++++++---------
 1 file changed, 20 insertions(+), 9 deletions(-)

commit 28b601c51dfec22f2c2a47191f6a3e1d5802e2d3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 31 15:37:19 2019 +0100

    must call g_type_init on old systems.

 src/fdomenu.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit c519dc0c3b5830a967230c2fac4248403ca809fe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 31 15:22:21 2019 +0100

    Remember existing desktop geometry before calling XRRUpdateConfiguration
    for #296.

 src/wmmgr.cc | 14 ++++++++------
 src/wmmgr.h  |  2 +-
 2 files changed, 9 insertions(+), 7 deletions(-)

commit 4293f0e5f7cf9773b114795c5c0779e370a3f6e0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 31 14:19:35 2019 +0100

    Use GLIB_CHECK_VERSION to test call to g_type_init.

 src/yimage_gdk.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4bde394e337c364c328dbb0af794a6ac650c6625
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 31 03:15:30 2019 +0100

    port to for older systems

 src/ypointer.h | 1 -
 1 file changed, 1 deletion(-)

commit 8093c4a4dd7cee1f04af75cb9643341ee2c56110
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 31 03:01:33 2019 +0100

    portability to older systems.

 src/ycursor.cc | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

commit 8d5b15bcb554570b3fa9d119ed5c60efc0a1899f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 31 02:54:53 2019 +0100

    portability for older systems.

 src/misc.cc    |  6 ++++++
 src/ypointer.h | 16 ++++++++--------
 2 files changed, 14 insertions(+), 8 deletions(-)

commit 82139ffaa3c15fb873a645c7e887a927d3ee180e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 30 20:16:29 2019 +0100

    Rewrite ypointer to make it smaller and simpler.

 src/ypointer.h | 207 +++++++++++++++++------------------------------------
 1 file changed, 65 insertions(+), 142 deletions(-)

commit 7d4f1f3b2239af1b16fb4fda8265474211d08bd0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 30 20:15:21 2019 +0100

    Add to spy Enter, Leave, Circulate and fix +window options.

 src/icesh.cc | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 2eb6c8f5772d2d37498266ae8132560dc867a566
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 29 19:41:16 2019 +0100

    xdg_menu.

 man/icewm-programs.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2c9ac565c05a0fa796888e6ad92369600757db8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 29 19:40:50 2019 +0100

    Document spy and sizeby.

 man/icesh.pod | 30 +++++++++++++++++++++++++-----
 1 file changed, 25 insertions(+), 5 deletions(-)

commit 15c52bdfb3637674b208e5e1101c10cc5695b4f2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 29 19:25:13 2019 +0100

    Fix for pagerShowPreview for very wide multi-head desktops.
    Fix for context menu popup in icehelp.
    Fix for positioning of splash window on multi-head displays.
    Fix for positioning of status window on multi-head displays.
    Fix for positioning of window list window on multi-head displays.
    Fix for positioning of tooltip windows on multi-head displays.
    Fix for missed events when monitor changes resolution.
    Remove superfluous taskbar handleEndPopup.

 src/applet.cc       |   2 +-
 src/atasks.cc       |   5 +-
 src/aworkspaces.cc  |  17 +++--
 src/aworkspaces.h   |   4 +-
 src/objbutton.h     |   2 +-
 src/wmapp.cc        |   9 +--
 src/wmbutton.cc     |   2 +-
 src/wmmgr.cc        |  40 +++--------
 src/wmmgr.h         |   2 +-
 src/wmstatus.cc     |   6 +-
 src/wmswitch.cc     |   4 +-
 src/wmtaskbar.cc    |  15 +---
 src/wmtaskbar.h     |   1 -
 src/wmtitle.cc      |   2 +-
 src/wmwinlist.cc    |  18 ++---
 src/yactionbutton.h |   2 +-
 src/yarray.h        |   5 +-
 src/ydialog.cc      |   2 +-
 src/yicon.cc        |   2 +-
 src/yinput.cc       |   2 +-
 src/ylistbox.cc     |   2 +-
 src/ymenu.cc        |   2 +-
 src/ypopup.cc       |   4 --
 src/ypopup.h        |   2 +-
 src/yscrollview.cc  |   2 +-
 src/ytooltip.cc     |  16 ++---
 src/ywindow.cc      | 186 ++++++++++++++++++++----------------------------
 src/ywindow.h       |  22 ++++--
 src/yxapp.cc        |  19 +++++
 src/yxapp.h         |   1 +
 src/yxtray.cc       |   8 +--
 31 files changed, 190 insertions(+), 216 deletions(-)

commit 2da281231791f6c29aa7208eb51c1c6eb7ae3d49
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 29 19:21:58 2019 +0100

    prefer isEmpty.

 src/amailbox.cc  | 6 +++---
 src/iceview.cc   | 2 +-
 src/testarray.cc | 4 ++--
 src/ycolor.cc    | 2 +-
 4 files changed, 7 insertions(+), 7 deletions(-)

commit 8503173fe0be148dd8e6a5aa22dc51e97bac4cfa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 29 19:20:04 2019 +0100

    add spy and sizeby.

 src/icesh.cc | 426 +++++++++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 395 insertions(+), 31 deletions(-)

commit 33d2988e93dbd5bb85e90fe0299bccc30c4c4b8d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 29 19:19:32 2019 +0100

    make icelist compile and run.

 src/icelist.cc | 210 ++++++++++++++++++++++++++++++++++-------------------
 1 file changed, 135 insertions(+), 75 deletions(-)

commit 9bfe0003aa54bb07e8a847b49cd7043879e6185d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 29 19:18:54 2019 +0100

    isPrint

 src/ascii.h | 5 +++++
 1 file changed, 5 insertions(+)

commit 3a03b61e914b8b79364986d484a1ea96866abe0f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 16 00:21:11 2019 +0100

    more hints and views.

 src/iceicon.cc |  40 ++++++++++-------
 src/icerun.cc  |  25 ++++++++++-
 src/iceview.cc | 125 ++++++++++++++++++++++++++++++++++++++---------------
 3 files changed, 137 insertions(+), 53 deletions(-)

commit 53bd8ec82a4fc7bbdfe6815c5adc9f343bd7df5e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 15 12:34:27 2019 +0100

    Make iceicon, icerun, iceview run.

 src/iceicon.cc | 390 +++++++++++++++++++++++++++++++----------------------
 src/icerun.cc  |  74 +++++++++-
 src/iceview.cc | 151 +++++++++++++++------
 3 files changed, 402 insertions(+), 213 deletions(-)

commit ff0c33e9b27485a81e698a14fb4f46b8c7073823
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 15 12:33:47 2019 +0100

    getFont.

 src/yinputline.h | 1 +
 1 file changed, 1 insertion(+)

commit 2b7d9a1685d767e7bb980c11f2453bd33d9f4a8d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 15 12:19:47 2019 +0100

    Add tracing of executed programs.  Remove execAfterFork.

 src/default.h |  1 -
 src/wmapp.cc  | 50 ++++++++++++++++++++++++++++++++++----------------
 src/wmapp.h   |  4 ++++
 src/wmmgr.cc  | 21 ++-------------------
 src/wmmgr.h   |  1 -
 src/yapp.cc   | 25 ++++++++++++++-----------
 src/yapp.h    |  5 +++--
 src/ytrace.h  | 11 +++++++++++
 8 files changed, 68 insertions(+), 50 deletions(-)

commit cde94920c8b426c2b46bf09dc4ccd3a86b8a9d7b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 15 12:19:41 2019 +0100

    +setNetPid

 src/ywindow.cc | 4 ++++
 src/ywindow.h  | 2 ++
 2 files changed, 6 insertions(+)

commit 02e89ec41cf60f10552514412e0134e472b56f84
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Dec 14 13:38:46 2019 +0100

    Generic list iterator.

 src/ylist.h | 114 +++++++++++++++++++++++++++++++++-----------------------
 1 file changed, 68 insertions(+), 46 deletions(-)

commit 4c99774e5ef0bfa8ff86552d5bad983d10c68923
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 12 03:24:05 2019 +0100

    Give focus_mode a readable header and also allow focus_mode names.

 src/wmapp.cc    | 58 ++++++++++++++++++++++++++++++++++++++++++-----------
 src/wmapp.h     |  1 +
 src/wmconfig.cc | 30 ++++++++++++++++++++-------
 3 files changed, 70 insertions(+), 19 deletions(-)

commit bb012f9a0508f352f09356426e3a3deebc773311
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 8 21:33:46 2019 +0100

    make iceclock, iceicon, iceview compile and run.

 src/Makefile.am |  2 ++
 src/iceclock.cc | 13 ++++++++++---
 src/iceicon.cc  | 20 +++++++++++++++-----
 src/iceview.cc  | 39 +++++++++++++++++----------------------
 4 files changed, 44 insertions(+), 30 deletions(-)

commit 82eb7b167782a84468fac952a90d8513ae318f7f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 8 08:35:05 2019 +0100

    If not other source of icon was found, then use WM_CLASS name to locate
    one (possibly in /usr/share/pixmaps/).

 src/wmframe.cc | 27 +++++++++++++++++++--------
 1 file changed, 19 insertions(+), 8 deletions(-)

commit 450e6379e0b6863e3c648fe7f58bb5df4e38ce50
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 8 07:47:16 2019 +0100

    reduce checks to essentials to speedup compilation a bit

 configure.ac | 26 +++++++++++---------------
 1 file changed, 11 insertions(+), 15 deletions(-)

commit cf10f0497ea580780731a8c9edc86c40c2e9da63
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 8 07:44:57 2019 +0100

    163

 VERSION | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 38f55a509ac709da98164a2affe9a476284e2cf6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 8 07:44:14 2019 +0100

    experiment with ATH 10 for #392

 src/yimage_gdk.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a61207a1068ddc19685db51783b135168bfee542
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 8 07:43:34 2019 +0100

    deduce fHotCharPos from hotKey

 src/ybutton.cc   | 19 +++++++++----------
 src/ymenuitem.cc | 12 +++---------
 2 files changed, 12 insertions(+), 19 deletions(-)

commit ea370912b144a33ee46500377eceb43acbc8efe6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 8 07:41:57 2019 +0100

    mstring to the point

 src/mstring.cc | 155 +++++++++++++++++++----------------------------------
 src/mstring.h  |   2 +-
 src/strtest.cc |  22 ++++++++
 3 files changed, 78 insertions(+), 101 deletions(-)

commit 7181ec3aa001a94b905d5c00e6f04bb7346aa1d1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 8 07:41:30 2019 +0100

    assume abort

 src/misc.cc | 5 -----
 1 file changed, 5 deletions(-)

commit ec14aaff8043de2ff8fccd8b4d30e4592bd85776
Author: Kevin Suo <suokunlong@126.com>
Date:   Fri Dec 6 00:56:09 2019 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 100.0% (465 of 465 strings)

 po/zh_CN.po | 105 +++++++++++++-------------------------------------------
 1 file changed, 23 insertions(+), 82 deletions(-)

commit 3cd57a2e62ffb8d74c4efdec0cbceec0b4446549
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Thu Dec 5 19:28:45 2019 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (465 of 465 strings)

 po/pt_BR.po | 15 ++++-----------
 1 file changed, 4 insertions(+), 11 deletions(-)

commit 8c1d66ca801e70df639e4351b15e24a3094c2272
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Thu Dec 5 17:23:47 2019 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (465 of 465 strings)

 po/de.po | 21 ++++++++-------------
 1 file changed, 8 insertions(+), 13 deletions(-)

commit a1b5cbddd6075acccb4286bcc5971cd04a7681c3
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Thu Dec 5 00:42:30 2019 +0000

    Translated using Weblate (Danish)

    Currently translated at 100.0% (465 of 465 strings)

 po/da.po | 20 +++++++-------------
 1 file changed, 7 insertions(+), 13 deletions(-)

commit bf6e461f7e53ef69fd6ed3aeadcd2e64fe7d9b5f
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Wed Dec 4 19:44:36 2019 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (465 of 465 strings)

 po/nl.po | 47 +++++++++++++++--------------------------------
 1 file changed, 15 insertions(+), 32 deletions(-)

commit 2543ea45e34f80d883f3d442d9573e007cff0acf
Author: Aleš Kastner <alkas@volny.cz>
Date:   Wed Dec 4 16:27:49 2019 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (465 of 465 strings)

 po/cs.po | 23 ++++++++---------------
 1 file changed, 8 insertions(+), 15 deletions(-)

commit 4b7434745644648dd792ae79d6141453c8a75c34
Author: Kevin Suo <suokunlong@126.com>
Date:   Wed Dec 4 06:51:39 2019 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 99.6% (463 of 465 strings)

 po/zh_CN.po | 49 +++++++++++++++++--------------------------------
 1 file changed, 17 insertions(+), 32 deletions(-)

commit dd0c76f83054068b57e578835ce2fc9c2c36704e
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Tue Dec 3 22:20:19 2019 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (465 of 465 strings)

 po/ja.po | 19 ++++++-------------
 1 file changed, 6 insertions(+), 13 deletions(-)

commit f4c40af17a81c67ec1811cabcc31b9c4da8358f2
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Tue Dec 3 18:10:40 2019 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (465 of 465 strings)

 po/sk.po | 19 ++++++-------------
 1 file changed, 6 insertions(+), 13 deletions(-)

commit a249360c6ae06d8e97c87dc82bf989acb3366a22
Author: David Medina <medipas@gmail.com>
Date:   Tue Dec 3 17:51:33 2019 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (465 of 465 strings)

 po/ca.po | 19 ++++++-------------
 1 file changed, 6 insertions(+), 13 deletions(-)

commit 226455e260fc082e489f7d2cf48e9648eb1c771c
Merge: a36ed0a0 363fabc0
Author: Stanislav Brabec <sbrabec@suse.cz>
Date:   Tue Dec 3 16:07:39 2019 +0100

    Merge remote-tracking branch 'weblate/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit a36ed0a08e6ccbca09980d1ba299767e90ceda0b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 3 12:09:38 2019 +0100

    port getprogname to hurd.

 src/misc.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit a41afe69ed296426354278accfaa244d24c0ea23
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 3 12:03:28 2019 +0100

    Revert "Restrict the backtrace printing code to Linux and FreeBSD"
    as this breaks *BSD.
    This reverts commit e066f4b4b1f7cdae0ad306e285cb7ee970edf7fe.

 src/misc.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 363fabc043aeab5b7164ac6925fb2b61f01e3bdf
Author: Kimmo Kujansuu <mrkujansuu@gmail.com>
Date:   Mon Dec 2 21:43:42 2019 +0000

    Translated using Weblate (Finnish)

    Currently translated at 57.0% (265 of 465 strings)

 po/fi.po | 143 ++++++++++++++++++++++-------------------------------------
 1 file changed, 53 insertions(+), 90 deletions(-)

commit 2538693e4ff2287cdbc28af29854952cc368eeef
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 2 23:40:20 2019 +0100

    Update po files

 po/ar.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/be.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/bg.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/ca.po     | 121 ++++++++++++++++++++++++++++++++-----------------------
 po/cs.po     | 121 ++++++++++++++++++++++++++++++++-----------------------
 po/da.po     | 121 ++++++++++++++++++++++++++++++++-----------------------
 po/de.po     | 121 ++++++++++++++++++++++++++++++++-----------------------
 po/el.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/en.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/es.po     | 121 ++++++++++++++++++++++++++++++++-----------------------
 po/fi.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/fr.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/he.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/hr.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/hu.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/icewm.pot | 115 +++++++++++++++++++++++++++++-----------------------
 po/id.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/it.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/ja.po     | 121 ++++++++++++++++++++++++++++++++-----------------------
 po/ko.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/lt.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/lv.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/mk.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/nb.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/nl.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/no.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/pl.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/pt_BR.po  | 121 ++++++++++++++++++++++++++++++++-----------------------
 po/ro.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/ru.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/sk.po     | 121 ++++++++++++++++++++++++++++++++-----------------------
 po/sl.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/sv.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/tr.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/uk.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/vi.po     | 113 ++++++++++++++++++++++++++++-----------------------
 po/zh_CN.po  | 113 ++++++++++++++++++++++++++++-----------------------
 po/zh_TW.po  | 113 ++++++++++++++++++++++++++++-----------------------
 38 files changed, 2459 insertions(+), 1901 deletions(-)

commit e066f4b4b1f7cdae0ad306e285cb7ee970edf7fe
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Dec 2 23:16:53 2019 +0100

    Restrict the backtrace printing code to Linux and FreeBSD

    That's where the path resolving code works (has implementation for), on
    Hurd it already failed:

    /<<PKGBUILDDIR>>/src/misc.cc: In function ‘char* progpath()’:
    /<<PKGBUILDDIR>>/src/misc.cc:993:28: error: ‘getprogname’ was not
    declared in this scope
      993 |         path = path_lookup(getprogname());
          |                            ^~~~~~~~~~~

 src/misc.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6a7c46d2bc02abb6bac64497ffbcc661afb0ec46
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Dec 2 23:03:29 2019 +0100

    Hints for translators to care about hotkeys

 src/wmtaskbar.cc | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 8800f3c0000f9c85b98a0fedd8870669c18875d7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 2 12:45:34 2019 +0100

    -p, -s.

 man/icewm.pod | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2e7d2a82cc6860fc93c9b7a4ed3317936a6050ec
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 2 12:43:29 2019 +0100

    Add --trace to --help.

 src/wmapp.cc | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

commit d6802e6a0d1ba0e966791c683dec131aceaea111
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sun Dec 1 17:20:09 2019 -0700

    full placement is applicable

 COMPLIANCE | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f96b7db8e6a0aaa8a4eca7a3244449d2b3cdd460
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 1 21:06:08 2019 +0100

    Focus urgent window if same leader as focused for #358.

 src/wmframe.cc | 11 ++++++++++-
 1 file changed, 10 insertions(+), 1 deletion(-)

commit 3b207539ed1533f8d696d2f5d4d146bd5477a3eb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 1 20:14:43 2019 +0100

    Always keep track of WM_CLIENT_LEADER property.

 src/wmclient.cc | 30 +++++++++---------------------
 1 file changed, 9 insertions(+), 21 deletions(-)

commit 619f6086a6a2f9706099d757851657e5dc34a9ad
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 1 20:14:20 2019 +0100

    add getAtomName.

 src/base.h  | 1 +
 src/misc.cc | 3 +++
 2 files changed, 4 insertions(+)

commit e1f2fd4b0effb5a29781af20328f17e6f95f1e8d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 30 03:04:01 2019 +0100

    If theme could not be found then try the default theme.

 src/wmapp.cc    | 10 +++++++++-
 src/wmconfig.cc |  3 ++-
 src/wmconfig.h  |  2 +-
 3 files changed, 12 insertions(+), 3 deletions(-)

commit 6ffe66eb545c0c911751576bccb9af01212fcd53
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Nov 29 11:28:42 2019 +0100

    Replaced xterm with XTERMCMD in calculator command

 lib/keys.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f6c75f3fd155dbf858c388677f7a34aa620bceb1
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Nov 18 19:57:08 2019 +0100

    Added explicit hint to check preferences manpage for key inbinding.

    Related to #398 and Debian bug #944414.

 man/icewm-keys.pod | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 1f6c4e2ca243ec6f7a40d265353ac04688497483
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Nov 28 20:28:30 2019 +0100

    Allow mouse pointer buttons to trigger actions from "keys" for #333.

 man/icewm-keys.pod |  2 ++
 src/wmapp.h        |  5 +++-
 src/wmmgr.cc       | 80 ++++++++++++++++++++++++++------------------------
 src/wmprog.cc      |  2 +-
 src/yconfig.cc     |  6 ++--
 src/yxapp.cc       |  8 +++++
 src/yxapp.h        |  3 ++
 7 files changed, 63 insertions(+), 43 deletions(-)

commit 230f3d0a7b7021f08b752030eecd312c98a5b709
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Nov 27 00:41:43 2019 +0100

    Update winoptions (+ keys).

 man/icewm-keys.pod       |  2 ++
 man/icewm-winoptions.pod | 20 +++++++++-----------
 2 files changed, 11 insertions(+), 11 deletions(-)

commit 88cfb4445056ce241399b1c30e37d781695551a4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 26 22:34:47 2019 +0100

    Use "icesh keys" to let icewm reload the keybindings from the "keys" file.

 man/icesh.pod  |  6 +++++-
 src/bindkey.h  |  7 +++----
 src/icesh.cc   |  1 +
 src/wmaction.h |  2 ++
 src/wmapp.cc   | 13 ++++++++++++-
 src/wmmgr.cc   |  1 +
 6 files changed, 24 insertions(+), 6 deletions(-)

commit d3b263c3999e1c30d778128d9c43733fdcb5b486
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Nov 25 00:03:01 2019 +0100

    Update from released.

 AUTHORS |  107 +-
 NEWS    | 4358 +++++++----------------------------------------------------
 2 files changed, 553 insertions(+), 3912 deletions(-)

commit de74029e8716ae493a7a27091ada7dc3d781ff23
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 24 23:35:14 2019 +0100

    Prepare 1.6.3 release

 AUTHORS      |   8 +-
 ChangeLog    | 923 ++++++++++++++++++++++++++++---------------------------
 NEWS         | 107 ++++---
 README.md    |  40 +--
 VERSION      |   2 +-
 configure.ac |   8 +-
 po/ar.po     |   2 +-
 po/be.po     |   2 +-
 po/bg.po     |   2 +-
 po/ca.po     |   2 +-
 po/cs.po     |   2 +-
 po/da.po     |   2 +-
 po/de.po     |   2 +-
 po/el.po     |   2 +-
 po/en.po     |   2 +-
 po/es.po     |   2 +-
 po/fi.po     |   2 +-
 po/fr.po     |   2 +-
 po/he.po     |   2 +-
 po/hr.po     |   2 +-
 po/hu.po     |   2 +-
 po/icewm.pot |   4 +-
 po/id.po     |   2 +-
 po/it.po     |   2 +-
 po/ja.po     |   2 +-
 po/ko.po     |   2 +-
 po/lt.po     |   2 +-
 po/lv.po     |   2 +-
 po/mk.po     |   2 +-
 po/nb.po     |   2 +-
 po/nl.po     |   2 +-
 po/no.po     |   2 +-
 po/pl.po     |   2 +-
 po/pt_BR.po  |   2 +-
 po/ro.po     |   2 +-
 po/ru.po     |   2 +-
 po/sk.po     |   2 +-
 po/sl.po     |   2 +-
 po/sv.po     |   2 +-
 po/tr.po     |   2 +-
 po/uk.po     |   2 +-
 po/vi.po     |   2 +-
 po/zh_CN.po  |   2 +-
 po/zh_TW.po  |   2 +-
 44 files changed, 594 insertions(+), 572 deletions(-)

commit bb5add2162eb2e86a0b23577f50ebd451a10f79d
Merge: cddfd128 f0f55711
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 24 23:32:28 2019 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit f0f55711fec9390d202da22eb0fd10f3f21b073c
Merge: a144a11c b35f1205
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 24 23:31:28 2019 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit b35f120542529449eb08cf3f345f5290e2e17101
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 24 23:29:50 2019 +0100

    add ytrace.h.

 src/Makefile.am | 2 ++
 1 file changed, 2 insertions(+)

commit d1e13a27340ce8527f7b7d523d8f0cc9ceed1e75
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 24 23:29:25 2019 +0100

    Clean .bak files.

 man/Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a144a11cdde6a8edf540da119d39b3f0549e04a8
Merge: 55d9cf65 350ff4c3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 24 23:12:54 2019 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 350ff4c35f16c00de290b65bc02ea2b6d8b7557e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 24 21:28:49 2019 +0100

    Improve drawing of dashes for window list.

 src/ypaint.cc | 18 ++++++++++++------
 1 file changed, 12 insertions(+), 6 deletions(-)

commit a11a6e9ec3d92dfc3bcdcfec1ee2a46336e6bc13
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 24 16:23:04 2019 +0100

    Clarify icon.

 man/icewm-winoptions.pod | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 9fc1e33ff1ab94b7cd0bc6c6887e10475b97bb25
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 24 14:18:44 2019 +0100

    Improve icon handling in WindowList for #392.

 src/ylistbox.cc | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit d7c749d4de2223ef8c5c52b2b5c1b24e7423f359
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 24 12:39:56 2019 +0100

    update po files

 po/ar.po     | 378 +++++++++++++++++++++++++-------------------------
 po/be.po     | 378 +++++++++++++++++++++++++-------------------------
 po/bg.po     | 378 +++++++++++++++++++++++++-------------------------
 po/ca.po     | 382 +++++++++++++++++++++++++--------------------------
 po/cs.po     | 382 +++++++++++++++++++++++++--------------------------
 po/da.po     | 382 +++++++++++++++++++++++++--------------------------
 po/de.po     | 386 +++++++++++++++++++++++++--------------------------
 po/el.po     | 378 +++++++++++++++++++++++++-------------------------
 po/en.po     | 378 +++++++++++++++++++++++++-------------------------
 po/es.po     | 410 +++++++++++++++++++++++++++----------------------------
 po/fi.po     | 382 +++++++++++++++++++++++++--------------------------
 po/fr.po     | 378 +++++++++++++++++++++++++-------------------------
 po/he.po     | 378 +++++++++++++++++++++++++-------------------------
 po/hr.po     | 378 +++++++++++++++++++++++++-------------------------
 po/hu.po     | 378 +++++++++++++++++++++++++-------------------------
 po/icewm.pot | 380 +++++++++++++++++++++++++--------------------------
 po/id.po     | 378 +++++++++++++++++++++++++-------------------------
 po/it.po     | 398 ++++++++++++++++++++++++++---------------------------
 po/ja.po     | 388 ++++++++++++++++++++++++++--------------------------
 po/ko.po     | 378 +++++++++++++++++++++++++-------------------------
 po/lt.po     | 378 +++++++++++++++++++++++++-------------------------
 po/lv.po     | 378 +++++++++++++++++++++++++-------------------------
 po/mk.po     | 378 +++++++++++++++++++++++++-------------------------
 po/nb.po     | 378 +++++++++++++++++++++++++-------------------------
 po/nl.po     | 378 +++++++++++++++++++++++++-------------------------
 po/no.po     | 378 +++++++++++++++++++++++++-------------------------
 po/pl.po     | 378 +++++++++++++++++++++++++-------------------------
 po/pt_BR.po  | 382 +++++++++++++++++++++++++--------------------------
 po/ro.po     | 378 +++++++++++++++++++++++++-------------------------
 po/ru.po     | 378 +++++++++++++++++++++++++-------------------------
 po/sk.po     | 382 +++++++++++++++++++++++++--------------------------
 po/sl.po     | 378 +++++++++++++++++++++++++-------------------------
 po/sv.po     | 378 +++++++++++++++++++++++++-------------------------
 po/tr.po     | 378 +++++++++++++++++++++++++-------------------------
 po/uk.po     | 378 +++++++++++++++++++++++++-------------------------
 po/vi.po     | 378 +++++++++++++++++++++++++-------------------------
 po/zh_CN.po  | 378 +++++++++++++++++++++++++-------------------------
 po/zh_TW.po  | 378 +++++++++++++++++++++++++-------------------------
 38 files changed, 7231 insertions(+), 7229 deletions(-)

commit 3cb65a80a573fd5707fb75bfb5fe8a1e18a3789c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 24 09:37:37 2019 +0100

    Only premultiply alpha if image depth == 32 for #392.

 src/ypaint.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fa81e42017eff4fe10583e2b55ab0b97e9e2d11b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 24 09:31:03 2019 +0100

    Revert "Set alpha threshold to 128 for issue #392."

    This reverts commit 981ce098b467e8e5e52bb1141b2305dc7bc97a41.

 src/yimage_gdk.cc | 2 +-
 src/yximage.cc    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit b48663e27682ba173743699909a8695c41dc7745
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 23 22:12:16 2019 +0100

    Premultiply colors by alpha channel when XRender for #392.

 src/yimage.h      | 2 +-
 src/yimage_gdk.cc | 9 +++++++--
 src/ypaint.cc     | 6 ++++--
 src/ypixmap.cc    | 2 ++
 src/yximage.cc    | 4 ++--
 5 files changed, 16 insertions(+), 7 deletions(-)

commit ffbde63e4d2e98523b9671c5a61371aa84425298
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 23 22:05:48 2019 +0100

    Remove ESD server (obsolete EsounD).

 src/icesound.cc | 8 +-------
 1 file changed, 1 insertion(+), 7 deletions(-)

commit a5a5bcf1246e35dbc6bd9385c787931c985fa5cd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 23 09:58:45 2019 +0100

    Replace perl by date to reduce dependencies for #397.

 autogen.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9b93181501ad6be5e03f95adc36b84dc974b5a1f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Nov 22 23:31:51 2019 +0100

    Document --trace.

 man/icewm.pod | 5 +++++
 1 file changed, 5 insertions(+)

commit b9544467fdd4430db9bc0c15cda4f85c0fc2bff8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Nov 22 23:15:23 2019 +0100

    Trace icon loading and config parsing by --trace="icon,conf".

 src/wmapp.cc    |  2 ++
 src/wmmenu.cc   |  1 +
 src/wmoption.cc |  2 ++
 src/yapp.cc     |  5 +++++
 src/yapp.h      |  1 +
 src/yconfig.cc  |  1 +
 src/yicon.cc    |  1 +
 src/ytrace.h    | 61 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 8 files changed, 74 insertions(+)

commit 12e03333cf0ba2e5ce8b38148ba0ad14c5136143
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Nov 22 15:00:53 2019 +0100

    Remove eval and indirect variable evaluation for FreeBSD for #397.

 configure.ac | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 32bbabf70cad94f78bce4e872e965180836cb6b2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Nov 22 15:00:08 2019 +0100

    If either alsa, ao or oss then always include sndfile.h for #397.

 src/icesound.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit df4f26e1fadb187766bd0e81df1031ee16373c74
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sun Nov 17 11:49:34 2019 -0700

    address issue #398

 man/icewm-preferences.pod | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 00ef17cb031aeabf00e1014348ff086ad36a4457
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sun Nov 17 11:33:34 2019 -0700

    address issue #399

 man/icewm-env.pod          | 4 ++++
 man/icewm-focus_mode.pod   | 3 +++
 man/icewm-keys.pod         | 3 +++
 man/icewm-menu.pod         | 3 +++
 man/icewm-preferences.pod  | 3 +++
 man/icewm-prefoverride.pod | 3 +++
 man/icewm-programs.pod     | 3 +++
 man/icewm-shutdown.pod     | 3 +++
 man/icewm-startup.pod      | 3 +++
 man/icewm-theme.pod        | 3 +++
 man/icewm-toolbar.pod      | 3 +++
 man/icewm-winoptions.pod   | 3 +++
 12 files changed, 37 insertions(+)

commit 0d6ceb815ea4a99f6bd9771a95cb6672a20787ee
Merge: 419217c0 a07c9b34
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sun Nov 17 08:31:10 2019 -0700

    Merge branch 'icewm-1-4-BRANCH' of github.com:bbidulock/icewm into
    icewm-1-4-BRANCH

commit 419217c0c48030c169b77caea0a16a2606dd8bb4
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sun Nov 17 08:25:35 2019 -0700

    bit better release file generation

 Makefile.am  | 21 ++++++++++++++++++---
 autogen.sh   |  2 +-
 configure.ac | 32 ++++++++++++++++++++++++++++----
 configure.sh |  3 ---
 dist.sh      |  2 +-
 gennews.sh   | 19 +++++++++++++++++--
 6 files changed, 65 insertions(+), 14 deletions(-)

commit a07c9b3472f4666e958b2beb852cbb55edf35dae
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Nov 17 09:51:24 2019 +0100

    Give sed -i option a backup extension for #397.

 man/Makefile.am | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 5074e044b175968f5b88fcdd153350163345e06d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Nov 16 22:22:48 2019 +0100

    Remove duplicate text and simplify restart.

 man/icewm-keys.pod | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit 872a8861368f44dddf1829a10129085429a6b5ff
Author: Kimmo Kujansuu <mrkujansuu@gmail.com>
Date:   Thu Nov 14 15:56:23 2019 +0000

    Translated using Weblate (Finnish)

    Currently translated at 49.2% (229 of 465 strings)

 po/fi.po | 158 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 79 insertions(+), 79 deletions(-)

commit db31ed4008c50d1883f6f2c40c720c1679fc7045
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Nov 12 08:24:22 2019 +0100

    make doActivate declared even if not CONFIG_SESSION for #397.

 src/wmmgr.cc | 2 --
 1 file changed, 2 deletions(-)

commit 5968d9f03da10a662adf4606226b09364887fb78
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 31 20:18:13 2019 +0100

    Update taskbar geometry on screen resize for #394.

 src/wmmgr.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 15e3d2b68d69d57d00f6b8432c12acfd1c7ffdd1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Oct 27 10:17:25 2019 +0100

    Support PNG format for theme image files for issue #377.
    Improve support for depcrecated linux.xpm for old themes.

 src/wmtaskbar.cc |  8 -------
 src/wpixmaps.h   |  1 -
 src/wpixres.cc   | 66 +++++++++++++++++++++++++++++++++++++---------------
 3 files changed, 47 insertions(+), 28 deletions(-)

commit 981ce098b467e8e5e52bb1141b2305dc7bc97a41
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 26 22:30:41 2019 +0200

    Set alpha threshold to 128 for issue #392.

 src/yimage_gdk.cc | 2 +-
 src/yximage.cc    | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 9b165e866c05a5837da8929facd4b1730a553616
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 26 00:51:26 2019 +0200

    Reduce debugging output if not DEBUG.

 src/wmmgr.cc     | 6 +++---
 src/wmtaskbar.cc | 2 +-
 src/yxtray.cc    | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

commit b31f08cbe07481ea67e7b9c380171ebd1bafcc5b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 26 00:48:32 2019 +0200

    Highlight current workspace on startup for #393.

 src/aworkspaces.cc | 1 +
 1 file changed, 1 insertion(+)

commit bce25cdf041588f7386b376bc2ecc5a7f7e09e47
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 16 09:51:39 2019 +0200

    update version for #389

 configure.ac | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c8a57a309057354e3897243379f36a9429c93b63
Author: Artem Polishchuk <tim77@users.noreply.github.com>
Date:   Sat Oct 12 09:43:28 2019 +0300

    Convert tab to spaces (#390)

 lib/keys.in | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 6aca8ab0472a97e2e528fd8518d81969d53eec39
Author: Kimmo Kujansuu <mrkujansuu@gmail.com>
Date:   Sat Oct 5 22:48:20 2019 +0000

    Translated using Weblate (Finnish)

    Currently translated at 36.3% (169 of 465 strings)

 po/fi.po | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit a99730fb5b368f9678cfac5c1ff5613d1edf7888
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 29 20:57:01 2019 +0200

    Use install-data instead of install-desktop for ice-wm/icewm#5.

 icewm.spec.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e13dcbf8f8b0b0401a372906248fd002ba3e3595
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 25 21:57:58 2019 +0200

    [cmake] Discern substitute from copy in lib/ for issue #387.

 lib/CMakeLists.txt | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit 971336032809b13c5f826a1da0308a04c489db9f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 21 12:23:03 2019 +0200

    [cmake] add PACKAGE_STRING

 CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit af119ff56b0e303874f62befbdcea69071f436f3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Sep 20 21:37:07 2019 +0200

    XPM must be ON for themable cursors.

 rebuild.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e5ae336dc106370856d44562e051e68d32b6cd68
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Sep 20 21:10:37 2019 +0200

    [cmake] Give XTERMCMD a default, otherwise it remains empty in lib/toolbar.

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 08f674f56d856a48b3bbd6043db46fa66bff3574
Author: Alessio Adamo <alessio.adamo@gmail.com>
Date:   Wed Sep 18 14:42:48 2019 +0000

    Translated using Weblate (Italian)

    Currently translated at 99.1% (461 of 465 strings)

 po/it.po | 126 ++++++++++++++---------------------------------------------
 1 file changed, 30 insertions(+), 96 deletions(-)

commit cddfd1281ce025e6e42631d4144ea3c5dd0f26c6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 17 01:37:45 2019 +0200

    Prepare 1.6.2 release

 AUTHORS      |    5 +-
 ChangeLog    | 1113 ++++++++++++++++++++++++++++--------------------------
 NEWS         |  115 +++---
 README.md    |   40 +-
 VERSION      |    2 +-
 configure.ac |    8 +-
 po/ar.po     |  252 ++++++-------
 po/be.po     |  252 ++++++-------
 po/bg.po     |  252 ++++++-------
 po/ca.po     |  252 ++++++-------
 po/cs.po     |  252 ++++++-------
 po/da.po     |  252 ++++++-------
 po/de.po     |  252 ++++++-------
 po/el.po     |  252 ++++++-------
 po/en.po     |  252 ++++++-------
 po/es.po     |  252 ++++++-------
 po/fi.po     |  252 ++++++-------
 po/fr.po     |  252 ++++++-------
 po/he.po     |  252 ++++++-------
 po/hr.po     |  252 ++++++-------
 po/hu.po     |  252 ++++++-------
 po/icewm.pot |  254 ++++++-------
 po/id.po     |  252 ++++++-------
 po/it.po     |  252 ++++++-------
 po/ja.po     |  252 ++++++-------
 po/ko.po     |  252 ++++++-------
 po/lt.po     |  252 ++++++-------
 po/lv.po     |  252 ++++++-------
 po/mk.po     |  252 ++++++-------
 po/nb.po     |  252 ++++++-------
 po/nl.po     |  252 ++++++-------
 po/no.po     |  252 ++++++-------
 po/pl.po     |  252 ++++++-------
 po/pt_BR.po  |  252 ++++++-------
 po/ro.po     |  252 ++++++-------
 po/ru.po     |  252 ++++++-------
 po/sk.po     |  252 ++++++-------
 po/sl.po     |  252 ++++++-------
 po/sv.po     |  252 ++++++-------
 po/tr.po     |  252 ++++++-------
 po/uk.po     |  252 ++++++-------
 po/vi.po     |  252 ++++++-------
 po/zh_CN.po  |  252 ++++++-------
 po/zh_TW.po  |  252 ++++++-------
 44 files changed, 5466 insertions(+), 5395 deletions(-)

commit 4cf4cda9f15d5f11ea9076328a4bec20f997f766
Merge: afc1b475 55d9cf65
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 17 01:25:39 2019 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 55d9cf65c38fc990e2fccbb90fd3358e5236e196
Merge: c5386d27 2def0b4a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 17 01:22:51 2019 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 2def0b4a3d77c761ca2530fa5ee978cfe4f9e5aa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 16 20:34:47 2019 +0200

    Substitute installation directories.

 man/Makefile.am            | 22 ++++++++++++++++++--
 man/icewm-env.pod          | 36 +++++++++------------------------
 man/icewm-focus_mode.pod   | 36 +++++++++------------------------
 man/icewm-keys.pod         | 38 ++++++++++------------------------
 man/icewm-menu.pod         | 46 ++++++++++++++----------------------------
 man/icewm-preferences.pod  | 36 +++++++++------------------------
 man/icewm-prefoverride.pod | 40 +++++++++---------------------------
 man/icewm-programs.pod     | 38 ++++++++++------------------------
 man/icewm-shutdown.pod     | 42 +++++++++-----------------------------
 man/icewm-startup.pod      | 42 +++++++++-----------------------------
 man/icewm-theme.pod        | 36 +++++++++------------------------
 man/icewm-toolbar.pod      | 42 +++++++++++---------------------------
 man/icewm-winoptions.pod   | 36 +++++++++------------------------
 13 files changed, 149 insertions(+), 341 deletions(-)

commit 34873e5821fb9a84ef8520ac449f87e06cb1a9ea
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 16 00:16:37 2019 +0200

    Substitute CFGDIR and LIBDIR. Substitute xterm for XTERMCMD for #379.

 lib/keys.in       | 11 +++++------
 lib/menu.in       | 11 +++++------
 lib/programs.in   | 10 ++++++----
 lib/toolbar.in    | 11 +++++------
 lib/winoptions.in |  9 ++++-----
 5 files changed, 25 insertions(+), 27 deletions(-)

commit c2962d475033dfa2b62875cf198fb2355a877241
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 16 00:14:43 2019 +0200

    Set PACKAGE_URL. Drop icewmtray and KDEDIR. Substitute LIBDIR, CFGDIR
    and XTERMCMD.

 configure.ac | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

commit a8d5a49292e9cea0d188a5ea443f910e6ceed25d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 16 00:11:33 2019 +0200

    Substitute CFGDIR in pod output.

 man/Makefile.am | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

commit 2ba30b9f46168c75b96a5da4777cc1e418d5caa8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 23:45:38 2019 +0200

    expand LIBDIR and PACKAGE

 src/genpref.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 5e680ceebc1cb703cf6bd3c4acc653dc203faaa0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 13:58:00 2019 +0200

    Cursors require XPM or Imlib for #384.

 src/CMakeLists.txt | 107 +++++++++++++++++++++++++++++++------------------
 1 file changed, 69 insertions(+), 38 deletions(-)

commit 0163cc83dc6eeff8b436715a663f08df23a4d1c9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 13:57:20 2019 +0200

    REDIR_ROOT is no longer useful.

 src/base.h  | 2 --
 src/yapp.cc | 2 +-
 2 files changed, 1 insertion(+), 3 deletions(-)

commit 89e30e64bb61a3c4d0140551dc22630e603be29b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 13:56:46 2019 +0200

    Restore support for themable cursors for #384.

 src/ycursor.cc | 56 +++++++++++++++++++++++++++++++++---------------------
 1 file changed, 34 insertions(+), 22 deletions(-)

commit cc89ecb1fbb1d0e22a4e748f131f38573ba3484b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 13:55:44 2019 +0200

    Only compile if not gdk-pixbuf for cursors for #384.

 src/yximage.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 95b8d2b5c579a48ad0335548a9c6df06b9881037
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 13:53:51 2019 +0200

    Require libXPM for cursors for issue #384.

 configure.ac | 5 +++++
 1 file changed, 5 insertions(+)

commit e73150c52168c4dd699952c1ced83c812e4166b2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 13:51:06 2019 +0200

    Prevent user confusion about image modules and postpone yximage as
    default until improvements have been made for issue #385.

 configure.ac | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 96f2723a15fa1a6def498f7fea75bd3961f367f7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 10:45:31 2019 +0200

    implicitly convert bool to int.

 src/atasks.cc    | 2 +-
 src/decorate.cc  | 2 +-
 src/wmframe.cc   | 2 +-
 src/wmmgr.cc     | 2 +-
 src/wmtaskbar.cc | 2 +-
 src/ybutton.cc   | 8 ++++----
 src/ymenu.cc     | 4 ++--
 src/ywindow.cc   | 1 -
 8 files changed, 11 insertions(+), 12 deletions(-)

commit 6c119e00d24d6a9fcf9f511acad4068900f4489d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 10:44:14 2019 +0200

    fix types

 src/icesh.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d052482160e1c3b2380f45acce425cecb92b1d0e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 10:44:00 2019 +0200

    fix type

 src/aworkspaces.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 707985f35185b677311edce81a19e1dd5620ad78
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 10:43:38 2019 +0200

    use names for AC status.

 src/aapm.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit f643042db5b23e14b0300cfbe9ac28ff14c87143
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 10:21:10 2019 +0200

    Changes for Pidgin for #382.

 src/yxembed.cc | 64 +++++++++++++++++++++++++++++++++++++-----------------
 src/yxembed.h  |  5 +++++
 src/yxtray.cc  | 47 +++++++++++++++++----------------------
 3 files changed, 69 insertions(+), 47 deletions(-)

commit a0ed47c340ab5935e684cbfdbc7f5b6be8013bba
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 10:15:38 2019 +0200

    Let icon draw itself.

 src/ymenu.cc | 15 +++++----------
 1 file changed, 5 insertions(+), 10 deletions(-)

commit fa78cee901a1c524edc569bf5317366c5f143938
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 10:15:18 2019 +0200

    dialog owner.

 src/ydialog.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1d9faf844ace44e6801d60a4af7107591ca4c719
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 10:14:48 2019 +0200

    types

 src/wmframe.cc | 4 ++--
 src/wmframe.h  | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit efe46aae73c0585bcb8910930e5e4bbb210cc4e6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 15 10:14:13 2019 +0200

    prevent division by zero.

 src/aworkspaces.cc | 4 ++--
 src/icewmbg.cc     | 8 ++++----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 8b6902d7eaca400662865a92e0694155ccd5c360
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 14 10:58:14 2019 +0200

    Fix font corruption for 32-bit alpha for #381.

 src/ypaint.cc | 8 ++------
 1 file changed, 2 insertions(+), 6 deletions(-)

commit bb2cfe52a3c7ed730f20a0864924917741d96e7c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 14 10:57:39 2019 +0200

    catch font.

 src/yfont.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 276b2e371a720a43bd72c4fcfa0d369051283d60
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 14 00:38:45 2019 +0200

    add SEE ALSO.

 man/icewm-session.pod | 14 +++++++++++---
 1 file changed, 11 insertions(+), 3 deletions(-)

commit 9805e56d929860826fee14a475810cb570a830d9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 12 22:16:17 2019 +0200

    Document icewm-session behavior.

 man/icewm-session.pod | 27 ++++++++++++++++++++++++++-
 1 file changed, 26 insertions(+), 1 deletion(-)

commit 0cb1ad1dcdeb2e25b3ac1ea1b9fb6d6b79ad1af1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 12 21:30:25 2019 +0200

    Log atoms as strings.

 src/misc.cc | 19 ++++++++++++-------
 1 file changed, 12 insertions(+), 7 deletions(-)

commit 71f7d4e23bf855f98574a68cf3cb587c9bc27184
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 12 21:00:28 2019 +0200

    Concentrate all properties in yxapp.
    When creating a frame record event time.
    Synchronize YFrameOptions values with WinState from WinMgr.h.
    Sort atom names by number and create a fast local atom name lookup.

 src/wmapp.cc   | 26 ++++----------------------
 src/wmapp.h    |  1 -
 src/wmclient.h |  2 ++
 src/wmframe.cc |  1 +
 src/wmframe.h  | 38 ++++++++++++++++++++-----------------
 src/wmmgr.cc   | 27 +++++++++------------------
 src/wmmgr.h    |  5 +++++
 src/yxapp.cc   | 55 ++++++++++++++++++++++++++++++++++++++++++++++--------
 src/yxapp.h    | 16 ++++++++++++++--
 9 files changed, 103 insertions(+), 68 deletions(-)

commit 0cd690d4270a19d1aee86298b3cccd7ec8c6630e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 12 20:46:39 2019 +0200

    add setAtomName.

 src/base.h  | 2 ++
 src/misc.cc | 4 ++++
 2 files changed, 6 insertions(+)

commit e4ad5bf108b0163ff01660353558a8400398280c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Sep 12 20:40:14 2019 +0200

    add WinStateMaximizedBoth

 src/WinMgr.h | 1 +
 1 file changed, 1 insertion(+)

commit 38e8d3142c9be5a0b56d882a55ad10be5e6bfbd9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 11 01:02:29 2019 +0200

    For 32-bit applications always create a 32-bit frame for issue #381.

 src/wmframe.cc | 5 +++--
 src/wmframe.h  | 5 ++++-
 src/wmmgr.cc   | 8 +++++++-
 3 files changed, 14 insertions(+), 4 deletions(-)

commit c11358d899c50e02c14cc1458618ae4231db119c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 11 00:57:56 2019 +0200

    Enable tilde and $HOME expansion for icon paths.

 src/yicon.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9e54a857eaa9452b34dacca9a7a402ce999273e8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Sep 7 11:36:50 2019 +0200

    +addWorkspace, prop, -Prop, -Role.

 man/icesh.pod |  23 ++++++++-
 src/icesh.cc  | 142 ++++++++++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 155 insertions(+), 10 deletions(-)

commit 9806f9e41e19bc92ffc804b3516ae9a5f66a84a7
Author: micrococo <micrococo@users.noreply.github.com>
Date:   Thu Sep 5 22:02:54 2019 +0200

    Update Spanish translation of desktop files (#380)

    * Add Spanish translation

    * Update Spanish translation

 lib/icewm-session.desktop | 2 ++
 lib/icewm.desktop         | 2 ++
 2 files changed, 4 insertions(+)

commit dd021701f73c76b539fd334edebec3c218daa30a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 2 23:29:31 2019 +0200

    Always use XTERMCMD in place of xterm to remove hard dependency on xterm
    for issue #379.

 configure.ac    |  2 +-
 src/appnames.h  |  2 ++
 src/default.h   | 10 +++++-----
 src/wmapp.cc    |  4 ++--
 src/wmconfig.cc |  1 +
 5 files changed, 11 insertions(+), 8 deletions(-)

commit 1379799837147116fb2835dd452ce3f267f4eb73
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 2 04:14:27 2019 +0200

    Add --with-xterm= to configure and -DXTERMCMD= to CMake build for
    issue #379.

 configure.ac          | 3 +++
 src/CMakeLists.txt    | 2 +-
 src/config.cmake.h.in | 1 +
 3 files changed, 5 insertions(+), 1 deletion(-)

commit e95aed2a6fad7030b27c25a1239c92b891a69674
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 30 00:59:29 2019 +0200

    install IceWM.jpg.

 lib/CMakeLists.txt | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit df8fc280ac9d2c1fb5e9469ab18f7ac0e86de357
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Aug 29 16:09:45 2019 +0200

    Add explicit copy operator

    GCC 9.2 warning, implicit operator is deprecated here.

 src/ycollections.h | 6 ++++++
 1 file changed, 6 insertions(+)

commit cd9ac491ddf2da3ff2b1eeba0ee1bdee94f69434
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Aug 29 15:47:59 2019 +0200

    Fix -Wstringop-truncation warning with gcc 9.2

    The code style looks like it was made with memcpy in mind since strlen
    and strncpy handle the terminator differently and the code might chop
    off the terminator in some cases.

    No clear perfect solution here, either this or getting:
    src/mstring.cc:27:12: warning: ‘char* strncpy(char*, const char*,
    size_t)’ specified bound depends on the length of the source argument
    [-Wstringop-overflow=]

 src/mstring.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 9dd12b38ceb8196fbd75bca742694601f1945858
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Aug 29 15:30:31 2019 +0200

    Fix direct inclusion of stdlib.h for strtok

 src/ycolor.cc | 1 +
 1 file changed, 1 insertion(+)

commit 400f08b302864266a4a77fde8fdd9c613937e608
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Aug 29 15:27:14 2019 +0200

    Fix config.h inclusion where missing

    The code was simply relying on autotools injecting config.h into compiler
    call.

 src/applet.cc         | 1 +
 src/aworkspaces.cc    | 1 +
 src/testarray.cc      | 1 +
 src/testmap.cc        | 1 +
 src/testnetwmhints.cc | 1 +
 src/testwinhints.cc   | 1 +
 src/yarray.cc         | 1 +
 src/yxembed.cc        | 1 +
 8 files changed, 8 insertions(+)

commit 5bb98ab3e9ecf2065aa549c5d414a4491084be17
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Aug 29 15:17:06 2019 +0200

    [cmake] Make check of mandatory X libs strict

 src/CMakeLists.txt | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 740160c54380c93fb6e9528fdae56380e532c9d0
Author: micrococo <micrococo@users.noreply.github.com>
Date:   Thu Aug 29 10:29:35 2019 +0200

    Fix some typos in documentation (#378)

    * Fix some typos

 doc/icewm.adoc            | 10 +++++-----
 man/icewm-preferences.pod |  2 +-
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 204f279e1647b9a9264a1ba276592e1d388d55ad
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 28 00:16:20 2019 +0200

    Update README.md from README.md.in.

 README.md | 108 +++++++++++++++++++++++++++++++++-------------------------
 1 file changed, 62 insertions(+), 46 deletions(-)

commit 3365f20146f9c36be23fd6f2371ac81ea00e7b2a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 27 20:41:20 2019 +0200

    IceWM splash image.

 lib/IceWM.jpg   | Bin 0 -> 19145 bytes
 lib/Makefile.am |   3 +++
 2 files changed, 3 insertions(+)

commit 556364740e6a8806ad604b8063e18c91b78517cc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 24 14:45:46 2019 +0200

    Fix getWorkspace for sticky. Fix getOpacity. Find TaskBar with -T. Make
    sync a manager action and check if IceWM is running.

 src/icesh.cc | 198 ++++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 145 insertions(+), 53 deletions(-)

commit b92185bd55c1e056bc79eda3bb8c74f8ffc8d37c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 24 14:43:27 2019 +0200

    Restore use of ColorQuickSwitchActive for vertical switching for issue
    #375.

 src/wmswitch.cc | 10 ++--------
 1 file changed, 2 insertions(+), 8 deletions(-)

commit a55d5f213451cfa5af52d5f9483129ea140a85ef
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 24 07:25:19 2019 +0200

    Silence icehelp.

 src/icehelp.cc | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

commit 9abb8e527afc681a45c01e980f82f100473cfb7c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 24 07:13:19 2019 +0200

    Update to 1.6.1. Prefer lzip over xz due to popular demand.

 VERSION      |  2 +-
 configure.ac | 10 +++++-----
 2 files changed, 6 insertions(+), 6 deletions(-)

commit afc1b475bda243a2153a71bda7dfd40d17da3604
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Aug 22 01:42:32 2019 +0200

    Prepare 1.6.1 release

 AUTHORS      |   13 +-
 ChangeLog    |  290 +++----
 NEWS         | 2263 +-----------------------------------------------------
 README.md    |   40 +-
 VERSION      |    2 +-
 configure.ac |   10 +-
 po/ar.po     |   22 +-
 po/be.po     |   22 +-
 po/bg.po     |   22 +-
 po/ca.po     |   22 +-
 po/cs.po     |  200 ++---
 po/da.po     |  200 ++---
 po/de.po     |  204 ++---
 po/el.po     |   22 +-
 po/en.po     |   22 +-
 po/es.po     |  228 +++---
 po/fi.po     |   22 +-
 po/fr.po     |   22 +-
 po/he.po     |   22 +-
 po/hr.po     |   22 +-
 po/hu.po     |   22 +-
 po/icewm.pot |   24 +-
 po/id.po     |   22 +-
 po/it.po     |   22 +-
 po/ja.po     |   22 +-
 po/ko.po     |   22 +-
 po/lt.po     |   22 +-
 po/lv.po     |   22 +-
 po/mk.po     |   22 +-
 po/nb.po     |   22 +-
 po/nl.po     |   22 +-
 po/no.po     |   22 +-
 po/pl.po     |   22 +-
 po/pt_BR.po  |  200 ++---
 po/ro.po     |   22 +-
 po/ru.po     |   22 +-
 po/sk.po     |  200 ++---
 po/sl.po     |   22 +-
 po/sv.po     |   22 +-
 po/tr.po     |   22 +-
 po/uk.po     |   22 +-
 po/vi.po     |   22 +-
 po/zh_CN.po  |   22 +-
 po/zh_TW.po  |   22 +-
 44 files changed, 1188 insertions(+), 3368 deletions(-)

commit 2af1034a7e51b28b700cf26c5b48380af6342acf
Merge: 23b13d68 c5386d27
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Aug 22 01:33:52 2019 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit c5386d27db20b469980ddd4a35021490f19751ca
Merge: c4dd3145 02f11b28
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Aug 22 01:30:50 2019 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 02f11b28637a2985a506b736118bd261758096b4
Author: jcsl <trcs@gmx.com>
Date:   Wed Aug 21 10:35:17 2019 +0000

    Translated using Weblate (Spanish)

    Currently translated at 99.4% (462 of 465 strings)

 po/es.po | 471 +++++++++++++++++++++++++----------------------------------
 1 file changed, 199 insertions(+), 272 deletions(-)

commit 2766da4de269a61272ca189dd9ac8be96039915f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Aug 21 14:52:15 2019 +0200

    Don't composite systray when using 24-bit RGB visuals for issue #374.

 src/yxtray.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 3218e732928df0b43d71abfbf1bea998d106a98b
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Tue Aug 20 17:52:54 2019 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (465 of 465 strings)

 po/pt_BR.po | 44 +++++++++++++-------------------------------
 1 file changed, 13 insertions(+), 31 deletions(-)

commit 064c19df7fe59d44ba771eed4be97ef5b4ef44c2
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Tue Aug 20 19:26:57 2019 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (465 of 465 strings)

 po/de.po | 39 ++++++++++++---------------------------
 1 file changed, 12 insertions(+), 27 deletions(-)

commit 4c5d7f672684a31246b81b3491062bcbd9dce73e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 20 23:40:49 2019 +0200

    Clear GraphicsBuffer so we can have a transparent taskbar in issue #299.

 src/amailbox.cc |  3 +++
 src/ypaint.cc   | 15 +++++++--------
 2 files changed, 10 insertions(+), 8 deletions(-)

commit 62cce4d2be20857d8b858db69d5f7129ab141a18
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Sun Aug 18 17:06:26 2019 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (465 of 465 strings)

 po/sk.po | 42 ++++++++++++------------------------------
 1 file changed, 12 insertions(+), 30 deletions(-)

commit 42c33ad6bfd3aff3d496eab47ce65744c415e020
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Sun Aug 18 19:45:44 2019 +0000

    Translated using Weblate (Danish)

    Currently translated at 100.0% (465 of 465 strings)

 po/da.po | 42 ++++++++++++------------------------------
 1 file changed, 12 insertions(+), 30 deletions(-)

commit abe91be50a181934e1ea6989e7591082329f27f5
Author: Aleš Kastner <alkas@volny.cz>
Date:   Sun Aug 18 18:31:11 2019 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (465 of 465 strings)

 po/cs.po | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 23b13d688f62292fac70933fe02c08173d9c3b6a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 18 23:31:59 2019 +0200

    Prepare 1.6.0 release

 AUTHORS      |   22 +-
 ChangeLog    | 7968 +++++++++++++++++++++++++++---------------------------
 NEWS         |  241 +-
 README.md    |   40 +-
 VERSION      |    2 +-
 configure.ac |    8 +-
 po/ar.po     |  176 +-
 po/be.po     |  176 +-
 po/bg.po     |  176 +-
 po/ca.po     |  180 +-
 po/cs.po     |  180 +-
 po/da.po     |  176 +-
 po/de.po     |  180 +-
 po/el.po     |  176 +-
 po/en.po     |  176 +-
 po/es.po     |  176 +-
 po/fi.po     |  176 +-
 po/fr.po     |  176 +-
 po/he.po     |  176 +-
 po/hr.po     |  176 +-
 po/hu.po     |  176 +-
 po/icewm.pot |  178 +-
 po/id.po     |  176 +-
 po/it.po     |  176 +-
 po/ja.po     |  186 +-
 po/ko.po     |  176 +-
 po/lt.po     |  176 +-
 po/lv.po     |  176 +-
 po/mk.po     |  176 +-
 po/nb.po     |  176 +-
 po/nl.po     |  176 +-
 po/no.po     |  176 +-
 po/pl.po     |  176 +-
 po/pt_BR.po  |  176 +-
 po/ro.po     |  176 +-
 po/ru.po     |  176 +-
 po/sk.po     |  176 +-
 po/sl.po     |  176 +-
 po/sv.po     |  176 +-
 po/tr.po     |  176 +-
 po/uk.po     |  176 +-
 po/vi.po     |  176 +-
 po/zh_CN.po  |  176 +-
 po/zh_TW.po  |  176 +-
 44 files changed, 7552 insertions(+), 7441 deletions(-)

commit 79f4b772060a97a9d358dd80bd39f6c34a606b93
Merge: e5f7a8b0 c4dd3145
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 18 23:19:04 2019 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit c4dd3145fb95704849dc5259878461beb672a1e1
Merge: 848cd242 509d6a33
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 18 23:15:24 2019 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 509d6a332579ec1346f4971c0cd5334f335dd861
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 18 21:27:01 2019 +0200

    Include X11/Xproto.h only when required.

 src/wmapp.cc | 2 ++
 src/yfull.h  | 3 ---
 src/yxapp.cc | 2 ++
 3 files changed, 4 insertions(+), 3 deletions(-)

commit 5867841c010b649faa0b2b296085100d94045211
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 18 13:12:17 2019 +0200

    add example

 man/icewm-preferences.pod | 23 +++++++++++++++++++++++
 1 file changed, 23 insertions(+)

commit cfb42457f8589b564b83e18b94ae4948c263d99e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 18 13:12:06 2019 +0200

    add --alpha

 man/icewm-session.pod | 4 ++++
 1 file changed, 4 insertions(+)

commit 30dbfd6f33d89258ccff179fb27bebbee2c0c22d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 18 12:48:11 2019 +0200

    Fix sizeto for sticky windows.

 src/icesh.cc | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit a676b6663fc26e36083bd78fd7a7b197dfd064a8
Author: Thomas Koller <tk120@protonmail.com>
Date:   Sat Aug 17 22:02:17 2019 +0000

    Translated using Weblate (German)

    Currently translated at 99.1% (461 of 465 strings)

 po/de.po | 15 +++++++--------
 1 file changed, 7 insertions(+), 8 deletions(-)

commit b6fdc8cbf603dadcf1ae057e107c030b8a8e8656
Author: Aleš Kastner <alkas@volny.cz>
Date:   Sat Aug 17 18:44:24 2019 +0000

    Translated using Weblate (Czech)

    Currently translated at 99.8% (464 of 465 strings)

 po/cs.po | 43 +++++++++++++------------------------------
 1 file changed, 13 insertions(+), 30 deletions(-)

commit 3c0797ab64877ba3b101506e4aaa84277f34c8c5
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Sat Aug 17 12:22:19 2019 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (465 of 465 strings)

 po/ja.po | 48 ++++++++++++++----------------------------------
 1 file changed, 14 insertions(+), 34 deletions(-)

commit 10d20ad8e78cd8bb22bf9f4c15367f70b0df73a9
Author: David Medina <medipas@gmail.com>
Date:   Sat Aug 17 10:45:43 2019 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (465 of 465 strings)

 po/ca.po | 43 ++++++++++++-------------------------------
 1 file changed, 12 insertions(+), 31 deletions(-)

commit 74a75900537887612433ad21098d8b3a6fdc8faa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 17 12:40:30 2019 +0200

    update po files

 po/ar.po     | 551 ++++++++++++++++++++++++++++-------------------------
 po/be.po     | 536 +++++++++++++++++++++++++++-------------------------
 po/bg.po     | 534 +++++++++++++++++++++++++++-------------------------
 po/ca.po     | 555 +++++++++++++++++++++++++++++-------------------------
 po/cs.po     | 555 +++++++++++++++++++++++++++++-------------------------
 po/da.po     | 559 +++++++++++++++++++++++++++++-------------------------
 po/de.po     | 555 +++++++++++++++++++++++++++++-------------------------
 po/el.po     | 551 ++++++++++++++++++++++++++++-------------------------
 po/en.po     | 511 ++++++++++++++++++++++++++------------------------
 po/es.po     | 551 ++++++++++++++++++++++++++++-------------------------
 po/fi.po     | 534 +++++++++++++++++++++++++++-------------------------
 po/fr.po     | 551 ++++++++++++++++++++++++++++-------------------------
 po/he.po     | 526 +++++++++++++++++++++++++++------------------------
 po/hr.po     | 518 ++++++++++++++++++++++++++------------------------
 po/hu.po     | 560 +++++++++++++++++++++++++++++-------------------------
 po/icewm.pot | 513 ++++++++++++++++++++++++++------------------------
 po/id.po     | 534 +++++++++++++++++++++++++++-------------------------
 po/it.po     | 551 ++++++++++++++++++++++++++++-------------------------
 po/ja.po     | 555 +++++++++++++++++++++++++++++-------------------------
 po/ko.po     | 551 ++++++++++++++++++++++++++++-------------------------
 po/lt.po     | 534 +++++++++++++++++++++++++++-------------------------
 po/lv.po     | 534 +++++++++++++++++++++++++++-------------------------
 po/mk.po     | 534 +++++++++++++++++++++++++++-------------------------
 po/nb.po     | 534 +++++++++++++++++++++++++++-------------------------
 po/nl.po     | 555 +++++++++++++++++++++++++++++-------------------------
 po/no.po     | 534 +++++++++++++++++++++++++++-------------------------
 po/pl.po     | 551 ++++++++++++++++++++++++++++-------------------------
 po/pt_BR.po  | 551 ++++++++++++++++++++++++++++-------------------------
 po/ro.po     | 534 +++++++++++++++++++++++++++-------------------------
 po/ru.po     | 563 ++++++++++++++++++++++++++++++-------------------------
 po/sk.po     | 555 +++++++++++++++++++++++++++++-------------------------
 po/sl.po     | 534 +++++++++++++++++++++++++++-------------------------
 po/sv.po     | 551 ++++++++++++++++++++++++++++-------------------------
 po/tr.po     | 534 +++++++++++++++++++++++++++-------------------------
 po/uk.po     | 540 +++++++++++++++++++++++++++-------------------------
 po/vi.po     | 534 +++++++++++++++++++++++++++-------------------------
 po/zh_CN.po  | 551 ++++++++++++++++++++++++++++-------------------------
 po/zh_TW.po  | 551 ++++++++++++++++++++++++++++-------------------------
 38 files changed, 11028 insertions(+), 9597 deletions(-)

commit 2d642d0229d74b2ad67ce26b1ca371f16d682c78
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 17 12:22:19 2019 +0200

    Require xrender xcomposite xdamage xfixes.

 src/CMakeLists.txt | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit 18368daa9121e046e0e26bafa9caacfb040df8aa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 17 11:27:53 2019 +0200

    Support more extensions: composite, damage, render.
    Support rgba colors. Render systray icons with composite
    when in 32-bit alpha mode.

 man/icewm-session.pod |   6 +-
 src/apppstatus.h      |   3 +-
 src/decorate.cc       |   4 +-
 src/wmapp.cc          |  39 ++++--
 src/wmclient.cc       |  33 ++---
 src/wmmgr.cc          |   6 +-
 src/wmmgr.h           |   1 +
 src/wmtaskbar.cc      |   7 +-
 src/wmtaskbar.h       |   2 +-
 src/ycolor.cc         |  44 ++++++-
 src/yimage.h          |   2 +
 src/yimage_gdk.cc     |  17 ++-
 src/ylib.h            |   6 +-
 src/ypaint.cc         | 101 ++++++++++-----
 src/ypaint.h          |   5 +-
 src/ypixmap.cc        |  26 +++-
 src/ypixmap.h         |   4 +
 src/ywindow.cc        |  46 ++++++-
 src/ywindow.h         |  41 ++++--
 src/yxapp.cc          | 318 ++++++++++++++++++++++++----------------------
 src/yxapp.h           |  84 ++++++++----
 src/yxembed.cc        |  11 +-
 src/yxembed.h         |   3 +-
 src/yxtray.cc         | 155 ++++++++++++----------
 src/yxtray.h          |  13 +-
 25 files changed, 614 insertions(+), 363 deletions(-)

commit e58dca1db8a5e1989e963ccfe2a4fd9d35f36798
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 17 10:26:38 2019 +0200

    Enable STD_OPTIONS if internal.

 src/icetray.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit ab65ffd090dedd2a97d9755b1f3c91bece39f6ef
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 17 10:26:01 2019 +0200

    +hexDigit.

 src/ascii.h | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 706216ef3efc157b6c499824b1f03c829802365d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 17 10:17:14 2019 +0200

    Require xrender xcomposite xdamage xfixes.

 configure.ac | 15 +--------------
 1 file changed, 1 insertion(+), 14 deletions(-)

commit 7eacc2e97e8888c39fe249da9d2f809ef74ce7e6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 17 10:06:43 2019 +0200

    alpha, splash, extensions.

 man/icewm.pod | 17 ++++++++++++++++-
 1 file changed, 16 insertions(+), 1 deletion(-)

commit b30d90018e8bbda65736257e9ac400c07ec8844d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 17 09:43:29 2019 +0200

    Add pid and sizeto.

 man/icesh.pod |  42 +++++++++---
 src/icesh.cc  | 201 ++++++++++++++++++++++++++++++++++++++++++++----------
 2 files changed, 198 insertions(+), 45 deletions(-)

commit a42911288112ede0fb900f79c6a9cb5c6f9e4d15
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Aug 13 11:23:06 2019 +0200

    Add 'WorkspaceNames' for issue #371.

 man/icewm-preferences.pod | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 8890204652a630afb40736606ca60b1fb41f1403
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 12 21:37:07 2019 +0200

    fix over/back.

 man/icewm.pod | 4 ----
 1 file changed, 4 deletions(-)

commit ae7a25a7235f335a1d2ce4ab393122d5acefa6cb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 12 21:35:04 2019 +0200

    No longer build icewmtray by default.

 configure.ac       |  1 +
 man/CMakeLists.txt |  5 ++++-
 man/Makefile.am    |  8 ++++++--
 src/Makefile.am    | 10 ++++++----
 4 files changed, 17 insertions(+), 7 deletions(-)

commit c62a733185b5044997794debd8a1b274c7572e1f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 11 21:17:53 2019 +0200

    Correction for updateMwmHints.

 src/wmframe.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit f570875e21360d599b7b4a0fd479a389c476e7ff
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 11 21:09:02 2019 +0200

    Create a new property when needed.

 src/icesh.cc | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)

commit f7571b1391170315f33502f52b48e3cbb289ebb9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 11 19:05:35 2019 +0200

    Add "motif", "symbols". Better expression parser.

 man/icesh.pod |  45 ++++++--
 src/icesh.cc  | 299 +++++++++++++++++++++++++++++++++++++++++++++++++-----
 2 files changed, 310 insertions(+), 34 deletions(-)

commit e75a5e8f5e6b7c705e9b20d475254df0ea6b731a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 11 18:59:53 2019 +0200

    Repaint after relayout.

 src/wmtitle.cc | 2 ++
 1 file changed, 2 insertions(+)

commit b95f1953d2680c8e786839d144d65e06520e451d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 11 18:59:28 2019 +0200

    When Mwm changes then relayout.

 src/wmframe.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 81a9393265f8d73589ab67e8e9812bf426daea7d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 11 18:54:20 2019 +0200

    Use SetWMProperties and set _NET_WM_PID.

 src/wmtaskbar.cc | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

commit c659a1f166bb3bef55a422ca80ef26b6b711dca2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 11 18:53:08 2019 +0200

    add ClassHint constructor.

 src/wmclient.h | 4 ++++
 1 file changed, 4 insertions(+)

commit 47701f486c3614ea7affd09112dd3d6bba00bbe0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 11 18:52:43 2019 +0200

    simplify setWinHintsHint.

 src/wmclient.cc | 11 +----------
 1 file changed, 1 insertion(+), 10 deletions(-)

commit 222a8fb51264cb6323fec11160e30fca86511028
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 11 18:52:02 2019 +0200

    Hostname is already set by SetWMProperties.

 src/wmapp.cc | 11 -----------
 1 file changed, 11 deletions(-)

commit 49fed5b03827a04a610be9f14019212e7fac7a05
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 11 18:50:03 2019 +0200

    Support C++98.

 src/base.h    | 4 +++-
 src/ref.h     | 2 ++
 src/ystring.h | 2 ++
 3 files changed, 7 insertions(+), 1 deletion(-)

commit 950582ac118b8384557ea788db78fc2261cc22e1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 11 18:47:23 2019 +0200

    Mwm flags member functions.

 src/MwmUtil.h | 61 +++++++++++++++++++++++++++++++++++++------------------
 1 file changed, 41 insertions(+), 20 deletions(-)

commit 5e16a20d4d616c446aa449655c8b7e2e433305a4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 11 17:51:15 2019 +0200

    Ensure geometry is valid in layoutClient.

 src/decorate.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2fac35806b61206491ebb199c469ec60996d7575
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Aug 8 07:40:53 2019 +0200

    don't call virtual function in constructor.

 src/icehelp.cc  | 13 ++++++-------
 src/icesound.cc | 15 ++++++++++++---
 src/ytooltip.cc | 14 ++++++++------
 src/ytooltip.h  |  2 +-
 4 files changed, 27 insertions(+), 17 deletions(-)

commit f4d761164cdaa84e98658cbbf7010b698473d83d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Aug 8 07:37:22 2019 +0200

    reset desktop when done.

 src/ywindow.cc | 10 ++++------
 src/ywindow.h  |  2 +-
 2 files changed, 5 insertions(+), 7 deletions(-)

commit f3d48549a22a18035d0c2f4bacccf3ab12fe9d3b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Aug 8 07:37:03 2019 +0200

    cache image.

 src/ypixmap.cc | 14 ++++++--------
 1 file changed, 6 insertions(+), 8 deletions(-)

commit 3e2b3f97bb3ba1c9f27bdb3640d5300bc90757d1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Aug 8 07:36:30 2019 +0200

    check if null.

 src/yfontxft.cc | 3 +++
 1 file changed, 3 insertions(+)

commit af1238ab88c3968f0893aa8954247dd32fd98664
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Aug 8 07:36:16 2019 +0200

    use bool.

 src/ybutton.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 8b922b383340305b1bc22612cb4bb7509ec5541c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Aug 8 07:35:48 2019 +0200

    use bool.

 src/aapm.cc       | 16 ++++++++--------
 src/apppstatus.cc |  2 +-
 src/atasks.cc     |  2 +-
 src/globit.c      |  6 +++---
 src/wmclient.cc   |  2 +-
 src/wmmgr.cc      | 20 ++++++++++----------
 6 files changed, 24 insertions(+), 24 deletions(-)

commit 770da7d063a0f38594a63bc840e80c06d458d9c6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 5 17:10:28 2019 +0200

    Don't pass a nullptr to mem functions.

 src/yarray.cc | 14 ++++++--------
 src/yarray.h  |  4 +++-
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 6ce96b1ff277284834e7005e21ff1289cbc5aa32
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 5 17:07:49 2019 +0200

    Don't apply ahwm hack if a task tooltip is created for issue #370.

 src/wmtaskbar.cc | 31 ++++++++++++++++---------------
 1 file changed, 16 insertions(+), 15 deletions(-)

commit dd7612022f1a704f68a48e60f367fb70230cbf07
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 5 17:07:21 2019 +0200

    Order global menus in reverse order of destruction.

 src/wmapp.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 901426e0ddbe7f12221460640ce642533bcb4d6d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 5 17:06:09 2019 +0200

    logCrossing details.

 src/misc.cc | 22 ++++++++++++++++------
 1 file changed, 16 insertions(+), 6 deletions(-)

commit 314fe62e3f0dd7a6be2c0c9631e86fd20baa9c80
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 5 17:05:42 2019 +0200

    More robust checking of workspace info.

 src/icesh.cc | 37 ++++++++++++++++++++-----------------
 1 file changed, 20 insertions(+), 17 deletions(-)

commit 2c803990d75fc34678072cda1d2c722466d2d394
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Aug 5 17:05:06 2019 +0200

    avoid null-dereference.

 src/fdomenu.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e4759afdcf644f1a45936d8f94fcae601eb4619e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 29 22:08:27 2019 +0200

    nest grabs.

 src/wmframe.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit de33783515f6432068eb964b6d8e08cbe96c19f9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 29 22:04:32 2019 +0200

    Add winoption startClose to immediately close unwanted windows.

 man/icewm-winoptions.pod | 21 ++++++++++++++++-----
 src/wmframe.h            |  1 +
 src/wmmgr.cc             |  5 +++++
 src/wmoption.cc          |  1 +
 4 files changed, 23 insertions(+), 5 deletions(-)

commit cf459a4e6435f9b6aa0ef90048534ea2647e45d4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 29 21:33:47 2019 +0200

    Rewrite getNetWMIcon succinctly.

 src/wmclient.cc | 100 +++++++++++++---------------------------------------
 1 file changed, 24 insertions(+), 76 deletions(-)

commit e9aa6e0f48b41e6bb96a4c5504216543564a8b72
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 29 21:33:00 2019 +0200

    Complete properties list.

 src/wmclient.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 12da4034b771fdc9fbad5244187776c6e89eac45
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 28 20:02:33 2019 +0200

    _XEMBED_INFO has property type _XEMBED_INFO.

 src/icesh.cc   | 2 +-
 src/yxembed.cc | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit da2a36ba1448aee1734a64bd9cc2fd3c1a4dd1ba
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 28 05:03:22 2019 +0200

    No need to reparent MiniIcon anymore.

 src/wmminiicon.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 58c9d203a69ee0972c01c0a0b96929f644cdb6b4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 28 05:01:38 2019 +0200

    keep showing 24-bit icons in 32-bit mode.

 src/wmframe.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 110711844cf2d1c7d067fc1ada480606ce798176
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 28 05:00:13 2019 +0200

    compile on OpenBSD.

 src/aapm.cc | 11 ++++++++---
 src/yapp.cc |  2 +-
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 5b02f4ec5972ce28057a53b9c0bb9669c9628115
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 28 04:54:09 2019 +0200

    reduce resizing yicons.

 src/yicon.cc | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 3d1daefd67d2b8c6e41a3a0b40b1a52ae4c12d10
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 28 04:44:05 2019 +0200

    initialize fForceImmediate.

 src/atasks.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 201d88142941c9596109200488cc2239c18cb1d7
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Jul 28 00:55:11 2019 +0200

    [cmake] Make sure to preinclude config.h

    Enforce a behavior similar to automake driven builds for now, fixing an
    inexplicable crash with hardening flags set.

 src/CMakeLists.txt | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a29d2c8566da4b9cc694ac9cf857ede21d80f3da
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Jul 27 16:31:26 2019 +0200

    Build fix (XTextProperty definition)

    Was broken since 4d2ddd85d31bbe7fac82b6a9376cfa7052f48841 at least for
    libx11-dev 2:1.6.7-1

 src/yxapp.h | 1 +
 1 file changed, 1 insertion(+)

commit fb97bf3ffe7db03001bc4c936ec935bb960b1b27
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jul 25 06:07:16 2019 +0200

    add RandR logging for #296.

 src/base.h     |  5 ++++
 src/misc.cc    | 80 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/wmapp.cc   | 27 ++++++++++++++----
 src/ywindow.cc |  6 +++-
 src/ywindow.h  | 22 ++++++---------
 src/yxapp.cc   | 57 ++++++++++++++++++--------------------
 6 files changed, 146 insertions(+), 51 deletions(-)

commit c0394d75f0b26deb9016bc4b640fe047adddf084
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 23 22:29:57 2019 +0200

    update gravity filtering to the win_gravity field of WM_NORMAL_HINTS for
    issue #351.

 man/icesh.pod | 24 ++++++++++++++++----
 src/icesh.cc  | 67 +++++++++++++++++++++++++++++++++++++++++++++++++++----
 2 files changed, 83 insertions(+), 8 deletions(-)

commit 6d139186b9256dadeceaeb8581e3f302bc3eecda
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 23 11:03:49 2019 +0200

    use XSetWMProperties.

 src/icehelp.cc | 29 ++++++++++++++---------------
 1 file changed, 14 insertions(+), 15 deletions(-)

commit 4d2ddd85d31bbe7fac82b6a9376cfa7052f48841
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 23 11:01:46 2019 +0200

    YTextProperty

 src/yxapp.cc | 12 ++++++++++++
 src/yxapp.h  |  6 ++++++
 2 files changed, 18 insertions(+)

commit 320dd01e65bd6f6d143f55a9fb61175b892c03cd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 23 10:43:34 2019 +0200

    Support window gravity for issue #351.

 man/icesh.pod |  52 +++++++++++++++++++++++----
 src/icesh.cc  | 104 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 150 insertions(+), 6 deletions(-)

commit d41079a667f8b9efbe440e3d1190db26d91c5a8a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 22 19:33:11 2019 +0200

    remove empty if statement

 src/wmtaskbar.cc | 2 --
 1 file changed, 2 deletions(-)

commit 42f6a21d99144d850631f87e5b71a3b81273f01b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 22 19:11:36 2019 +0200

    Add "systray" and "xembed" commands to list the system tray.

 man/icesh.pod | 11 ++++++++++-
 src/icesh.cc  | 51 +++++++++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 59 insertions(+), 3 deletions(-)

commit d48a3967bf9801a75ba8673fd54baf154a96bdcb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 22 18:55:57 2019 +0200

    Use buffered drawing for all applets.

 src/aapm.cc       | 57 +++++++++++++++++++++++++++++++--------------------
 src/aapm.h        | 13 ++++++++----
 src/aclock.cc     | 11 ++--------
 src/aclock.h      |  1 -
 src/acpustatus.cc |  6 +++---
 src/amailbox.cc   | 20 +++++++++++++++---
 src/amailbox.h    | 14 ++++++++++---
 src/amemstatus.cc |  4 ++--
 src/applet.cc     | 48 +++++++++++++++++++------------------------
 src/applet.h      | 10 ++++-----
 src/apppstatus.cc | 16 ++++++---------
 11 files changed, 111 insertions(+), 89 deletions(-)

commit 42773552c607936ac513c3a3444bf2e4464085b5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 20 09:05:28 2019 +0200

    prevent a compiler warning

 src/wmtaskbar.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 71c3872d5286ae9ac347430a8f022db7cf3dffde
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 20 09:04:51 2019 +0200

    Warn at most once per missing font.

 src/yfont.cc     | 29 +++++++++++++++++++----------
 src/yfontcore.cc | 15 +++++++++------
 2 files changed, 28 insertions(+), 16 deletions(-)

commit e4eaf365fbbf4fb0f4e3b862d8386a685f19111b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 20 09:03:28 2019 +0200

    Prevent premature drawing.

 src/ylistbox.cc | 3 +++
 1 file changed, 3 insertions(+)

commit ce95ec176a7b8ab78603ea7bf784bae3833d193e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 17 19:06:40 2019 +0200

    buffered draw icehelp

 src/icehelp.cc | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 6c25a3494a9a51f6d6fe355a6e62f87dd54249f4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 17 19:06:34 2019 +0200

    buffered draw window list

 src/ylistbox.cc    | 130 ++++++++++++++++++++++++++++++++++---------------
 src/ylistbox.h     |  22 +++++++--
 src/yscrollbar.cc  |  30 ++++++++++++
 src/yscrollbar.h   |   5 ++
 src/yscrollview.cc |  12 +++--
 src/yscrollview.h  |   4 +-
 6 files changed, 155 insertions(+), 48 deletions(-)

commit 55912804bd7360e421c9b6a70dc646e7db85d7ee
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 17 19:04:34 2019 +0200

    buffer tooltip (for net/cpu apps).

 src/ytooltip.cc | 12 +++++++++++-
 src/ytooltip.h  |  3 +++
 2 files changed, 14 insertions(+), 1 deletion(-)

commit 3a40b304ce362dccfa63e7997fc3341591a7d1a6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 17 19:01:53 2019 +0200

    BSD sighandler_t

 src/icesh.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 056b8ada7bffb6e8c94d5ef5839fdef89db8cce6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 15 17:51:25 2019 +0200

    buffered drawing for task buttons

 src/atasks.cc | 109 ++++++++++++++++++++++++++++++++++++++++--------------
 src/atasks.h  |  17 +++++++--
 2 files changed, 95 insertions(+), 31 deletions(-)

commit dbe55d71c1992d954ca6d581b6042ebd631ac86b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 15 17:51:15 2019 +0200

    buffered drawing for workspace buttons

 src/aworkspaces.cc | 21 +++++++++------------
 src/aworkspaces.h  | 13 +++++++------
 2 files changed, 16 insertions(+), 18 deletions(-)

commit ec7d8163becf87b845639590f2d21e2e7002be02
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 15 17:43:11 2019 +0200

    buffered menu drawing.

 src/ymenu.cc | 70 ++++++++++++++++++++++++++++++++++++++++++++------------
 src/ymenu.h  | 11 +++++----
 2 files changed, 63 insertions(+), 18 deletions(-)

commit 90d2dcefbe61f2a1baeaffb6b691330ebf8c8fee
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 15 17:13:11 2019 +0200

    _NET_SYSTEM_TRAY_ORIENTATION and _NET_SYSTEM_TRAY_VISUAL are now supported.

 COMPLIANCE | 4 ++--
 TODO       | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 42f332461c01edb51634859baad5da90599e4523
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 14 20:55:33 2019 +0200

    update workspace buttons only when idle.

 src/wmtaskbar.cc | 9 +++++++++
 src/wmtaskbar.h  | 3 ++-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit 85c02c34ab9f6e06837011b836713614d6920443
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 14 16:32:52 2019 +0200

    nullptr portability.

 src/ystring.h | 4 ++++
 1 file changed, 4 insertions(+)

commit dca94b943ea3e200cbd9b43638af0b17268cf2ec
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 12 20:36:23 2019 +0200

    prevent expose events

 src/yinput.cc | 1 +
 src/yxtray.cc | 1 +
 2 files changed, 2 insertions(+)

commit 08cd2733e15a5347daaa5eaf245161bf51433305
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 12 20:27:55 2019 +0200

    Keep focus change for wsNoExpose.

 src/ywindow.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 9ae9da7285730f2071e810950cbf29c069340e6f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 12 20:23:32 2019 +0200

    support _NET_SYSTEM_TRAY_ORIENTATION, _NET_SYSTEM_TRAY_VISUAL.

 src/wmapp.cc | 46 ++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 38 insertions(+), 8 deletions(-)

commit 5affb0168dd441ff372eef7098d65ef485bbbf98
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 12 20:23:09 2019 +0200

    support opacity in color specifications as prefix "[100]"

 src/ycolor.cc | 91 +++++++++++++++++++++++++++++++++++++++++--------------
 src/ycolor.h  |  8 ++---
 2 files changed, 73 insertions(+), 26 deletions(-)

commit 06cc69462b05840fe137a073928f1de4361c495a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 12 20:21:13 2019 +0200

    buffer yinput

 src/yinput.cc    | 12 ++++++++++++
 src/yinputline.h |  3 +++
 2 files changed, 15 insertions(+)

commit fd53b4cc177bf2d471efdbad63ea7d2fc7bcbba0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jul 12 20:20:38 2019 +0200

    Opaqueness

 src/ypaint.h | 17 +++++++++++++++++
 1 file changed, 17 insertions(+)

commit b042c54eadbeed929d5832f9e47331377357f7b7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 10 19:14:13 2019 +0200

    prevent useless expose events

 src/objbutton.h     | 2 +-
 src/wmtaskbar.cc    | 1 +
 src/wmwinlist.cc    | 1 +
 src/yactionbutton.h | 1 +
 src/ydialog.cc      | 1 +
 src/yxtray.cc       | 3 ++-
 6 files changed, 7 insertions(+), 2 deletions(-)

commit f5eabd7a0db03c61fb75f8fd88129ad3a2565d1f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 10 19:13:31 2019 +0200

    buffered wm status draw

 src/wmswitch.cc | 6 +++++-
 src/wmswitch.h  | 2 ++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 6b12633d8306a6064477c24b84ba8bc0a094eac5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 10 19:13:03 2019 +0200

    buffered wm status draw

 src/wmstatus.cc | 10 ++++++----
 src/wmstatus.h  |  3 ++-
 2 files changed, 8 insertions(+), 5 deletions(-)

commit 2771c0c2048a04773ae3008cac183eeb2a7a2aee
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 10 19:12:24 2019 +0200

    paint splash

 src/wmapp.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 7492275d6380faf5a93cef1bc648a42d5a395506
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 10 19:12:06 2019 +0200

    fix includes

 src/wmabout.cc | 9 +++------
 1 file changed, 3 insertions(+), 6 deletions(-)

commit 1137119d25c55086ffe3f4ac48b3767596e6af0e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 10 19:11:42 2019 +0200

    change default WorkspaceStatusTime to 700

 src/default.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3c6263ee7fd989f82aefb8b6fdc3dccbcbaf1903
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 10 07:18:02 2019 +0200

    draw labels and dialogs buffered.

 src/wmdialog.cc     | 31 ++++++++++++++++++++++++++++++-
 src/wmdialog.h      |  2 ++
 src/yactionbutton.h |  5 +++++
 src/ydialog.cc      | 30 +++++++++++++++---------------
 src/ydialog.h       |  8 +++++++-
 src/ylabel.cc       | 24 ++++++++++++++++++++++--
 src/ylabel.h        |  4 ++++
 src/ymsgbox.cc      |  5 +++--
 8 files changed, 88 insertions(+), 21 deletions(-)

commit 8a96ab8175b3f1e242f16c3f60eb50299af6ff77
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 10 07:17:42 2019 +0200

    reduce number of relayouts.

 src/wmtaskbar.cc | 15 ++++++++++++---
 1 file changed, 12 insertions(+), 3 deletions(-)

commit ddd1e06f2525241d0aae189d8b51be9737286419
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 9 21:47:54 2019 +0200

    prevent X errors.

 src/yxembed.cc | 3 ++-
 src/yxtray.cc  | 4 ----
 2 files changed, 2 insertions(+), 5 deletions(-)

commit e7f3e986251c60a0676304140d02b24ab1b47753
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 9 20:38:21 2019 +0200

    Buffered titlebar draw.

 src/wmbutton.cc | 19 +++++++++++++++----
 src/wmbutton.h  |  3 +++
 src/wmframe.cc  |  1 +
 src/wmtitle.cc  | 32 ++++++++++++++++++++++++++------
 src/wmtitle.h   |  5 +++++
 5 files changed, 50 insertions(+), 10 deletions(-)

commit 2cc36e7515ef4baf191c56d685549c805957ece2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 9 19:27:04 2019 +0200

    Only layout frame if resized.

 src/decorate.cc | 6 ++++--
 src/wmframe.h   | 2 +-
 2 files changed, 5 insertions(+), 3 deletions(-)

commit d78cd80e54d6170f696d8e2173ab70609b9af65f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 9 19:08:01 2019 +0200

    correlate output to input.

 src/wmconfig.cc | 10 +++++++---
 src/wmconfig.h  |  1 +
 2 files changed, 8 insertions(+), 3 deletions(-)

commit 4ebec613fb6e468218e80d5a5ab3442f2b9ee651
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 9 18:48:23 2019 +0200

    All frames same visual, defer client visual and bit-depth to container.

 src/wmcontainer.cc |  9 ++++++---
 src/wmcontainer.h  |  4 +++-
 src/wmframe.cc     | 33 +++++++++++++++++----------------
 src/wmframe.h      |  3 ++-
 src/wmmgr.cc       | 24 +++++++-----------------
 5 files changed, 35 insertions(+), 38 deletions(-)

commit 58932f7bcb8114cb3aa99671305c5b68fdd9ab40
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 9 07:41:08 2019 +0200

    taskbar use buffered graphics, objectbuttons, delay menu.

 src/movesize.cc  |   9 ++--
 src/wmframe.cc   |   2 +-
 src/wmtaskbar.cc | 116 +++++++++++++++++++++++++++------------------------
 src/wmtaskbar.h  |  29 ++++++-------
 4 files changed, 78 insertions(+), 78 deletions(-)

commit 2dc961d60f7ba089b737715d7a83e92987a7d7d9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 9 07:34:39 2019 +0200

    buffered object buttons

 src/browse.h    |   2 +
 src/objbar.cc   | 103 ++++++++++++++++++++++++++++++++++------------------
 src/objbar.h    |  13 +++++--
 src/objbutton.h |  28 +++++++++++---
 src/objmenu.h   |   1 -
 src/ymenu.h     |   6 +++
 6 files changed, 107 insertions(+), 46 deletions(-)

commit 35d1e15cae6a4326984a46582ef6164baa5a0ae1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 8 22:48:36 2019 +0200

    tray pane buffered drawing.

 src/atray.cc | 102 ++++++++++++++++++++++++++++++++++++++++++++++---------
 src/atray.h  |  11 ++++++
 2 files changed, 97 insertions(+), 16 deletions(-)

commit da5d44a6fed37bae4a4673a0e3987cdbb87c7723
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 8 22:41:01 2019 +0200

    Tray support 32-bit visual.

 src/yxtray.cc | 19 +++++++++++++------
 src/yxtray.h  |  4 ++++
 2 files changed, 17 insertions(+), 6 deletions(-)

commit 165655e5112fad1703e58e0d382373f9a778bcbb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 8 22:28:04 2019 +0200

    paint 32-bit alpha. GraphicsBuffer. copyImage.

 src/ypaint.cc | 226 +++++++++++++++++++++++++++++++++++++++---------------
 src/ypaint.h  |  39 ++++++++++
 2 files changed, 203 insertions(+), 62 deletions(-)

commit 2425034305d938ef04470ce107f6c19aa26fc035
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jul 8 22:17:41 2019 +0200

    setDefaultTheme, printPrefs.

 src/themes.cc   |  9 +--------
 src/wmapp.cc    | 10 +++-------
 src/wmconfig.cc | 25 ++++++++++++++++++-------
 src/wmconfig.h  |  7 +++++--
 4 files changed, 27 insertions(+), 24 deletions(-)

commit b2b13c9224116e03c92ee763a0132ac106014adb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 7 07:44:53 2019 +0200

    Don't create menus on startup.
    Support use of 32-bit visuals within icewm.
    Add optional splash window (default OFF).
    Enable logging on startup.
    Support 32-bit pixmaps.

 src/appnames.h    |  11 ++
 src/decorate.cc   |  14 +-
 src/default.h     |   2 +
 src/objbar.cc     |   2 -
 src/wmapp.cc      | 389 +++++++++++++++++++++++++++++++++-----------------
 src/wmapp.h       |  79 +++++++---
 src/wmclient.cc   |  12 +-
 src/wmclient.h    |   8 +-
 src/wmframe.cc    |  17 ++-
 src/wmframe.h     |   4 +
 src/wmprog.cc     |   3 +-
 src/wmtaskbar.cc  |  10 +-
 src/wmtaskbar.h   |   9 +-
 src/wmwinlist.cc  |  88 ++++++++++--
 src/wmwinlist.h   |  34 ++++-
 src/wmwinmenu.cc  |  13 +-
 src/wmwinmenu.h   |   6 +-
 src/yapp.cc       |   7 +-
 src/yapp.h        |   1 +
 src/yimage.h      |   1 +
 src/yimage_gdk.cc |  88 +++++++-----
 src/ywindow.cc    | 136 +++++++++++++-----
 src/ywindow.h     |  20 ++-
 src/yxapp.cc      | 183 +++++++++++++++++++++---
 src/yxapp.h       |  29 +++-
 src/yximage.cc    |  41 ++++--
 26 files changed, 890 insertions(+), 317 deletions(-)

commit 5d751834e6364bebc17e93feab5ff4f2b301b697
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 7 07:40:23 2019 +0200

    YRect2.

 src/yrect.h | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

commit 9e106c9c01b69f2fb185f4f0017b41fc1be714e4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 7 07:40:09 2019 +0200

    depth 24.

 src/ypixmap.cc | 42 +++++++++++++++++++++++++++++++++---------
 src/ypixmap.h  |  6 +++++-
 2 files changed, 38 insertions(+), 10 deletions(-)

commit 7dd70e10b244496db5e94d870db3db9a66e02455
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 7 07:36:40 2019 +0200

    lazily

 src/ref.h | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

commit a0a5afe7ab37c3fef4c0057b72ffc275315197c2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 7 07:36:00 2019 +0200

    --nobg          Do not start icewmbg

 src/icesm.cc | 45 ++++++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 44 insertions(+), 1 deletion(-)

commit 3c2822fa52be53ed3ef32d105a015b23e05e577a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jul 6 23:09:44 2019 +0200

    Add missing =over + =back.

 man/icewm-preferences.pod | 4 ++++
 1 file changed, 4 insertions(+)

commit d28b1e78435434c1c43dda4e457f9fd589208e92
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 3 21:06:11 2019 +0200

    undo optimization

 src/aworkspaces.cc | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

commit e0cd7f2a912f1e85013224ab97ce9d3cac88f8b3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jul 3 00:16:10 2019 +0200

    resurrect TaskBarFullscreenAutoShow for issue #361.

 src/wmtaskbar.cc | 82 ++++++++++++++++++----------------------------------
 src/wmtaskbar.h  |  2 ++
 2 files changed, 30 insertions(+), 54 deletions(-)

commit b5b5f13f82f438a1528099024bafa6dbdea8d10f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jul 2 07:56:44 2019 +0200

    handleClick for framebutton should call YButton::handleClick.
    This complements commit 1caa1178f615ed06f56c4fa512829a56141ddbb9.

 src/wmbutton.cc | 1 +
 1 file changed, 1 insertion(+)

commit f3a1aa2c38c095d02362531aa7f1652657526568
Author: Rodrigo Macedo <rmsolucoeseminformatic4@gmail.com>
Date:   Sun Jun 30 20:13:52 2019 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (459 of 459 strings)

 po/pt_BR.po | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit e57c3e5cbf64ca09957f9a84c050439354d0e880
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 29 00:21:47 2019 +0200

    implement issue #314 to put start menu button in the corner.

 src/wmtaskbar.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit b7878b0ee7edbb6e625a8fd88ea978f98ec533b2
Author: Yi-Jyun Pan <pan93412@gmail.com>
Date:   Tue Jun 25 05:09:43 2019 +0000

    Translated using Weblate (Chinese (Taiwan))

    Currently translated at 100.0% (459 of 459 strings)

 po/zh_TW.po | 73 ++++++---------------------------------------------------
 1 file changed, 7 insertions(+), 66 deletions(-)

commit 5d28b7220ad44bdeb316762ea9313d1be6be99fb
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Sat Jun 22 20:25:19 2019 +0000

    Translated using Weblate (Danish)

    Currently translated at 100.0% (459 of 459 strings)

 po/da.po | 80 ++++++++----------------------------------------------------
 1 file changed, 10 insertions(+), 70 deletions(-)

commit 08830e04dcae40e768da495887679a3c072d5200
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 21 01:26:15 2019 +0200

    eliminate flicker.

 src/aworkspaces.cc | 30 ++++++++++++++++++++++++++----
 src/aworkspaces.h  |  2 ++
 2 files changed, 28 insertions(+), 4 deletions(-)

commit 967fbc2ed51b1a7e5010676d356b312b49cebe8b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 21 01:22:07 2019 +0200

    repaint must be virtual.

 src/ywindow.h | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 80381bfd948b944a97ca816c0df59a3129e4913b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 20 00:55:48 2019 +0200

    TaskBarWorkspacesLimit.

 man/icewm-preferences.pod | 7 +++++++
 1 file changed, 7 insertions(+)

commit 04cdb04583d065afe017e99be5bde00052d49301
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 20 00:43:01 2019 +0200

    Limit number of taskbar workspaces

 src/aworkspaces.cc | 573 ++++++++++++++++++++++++++++++++++++-------------
 src/aworkspaces.h  | 127 +++++++++--
 src/default.h      |   2 +
 src/wmtaskbar.cc   |   9 +-
 4 files changed, 539 insertions(+), 172 deletions(-)

commit 1caa1178f615ed06f56c4fa512829a56141ddbb9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Jun 20 00:41:32 2019 +0200

    Fix button click for derived classes.

 src/ybutton.cc | 21 ++++++++++++---------
 src/ybutton.h  |  7 ++++++-
 2 files changed, 18 insertions(+), 10 deletions(-)

commit 136a14022dcfdffc7b948d83c41cca9833cad7c5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 19 22:40:09 2019 +0200

    Make YInputLine reusable.

 src/wmaction.h   |  7 +++-
 src/yinput.cc    | 98 +++++++++++++++++++++++++++++-----------------------
 src/yinputline.h | 26 ++++++++------
 3 files changed, 76 insertions(+), 55 deletions(-)

commit 9787372309cea1e18296ab93efe5ba9dc9b6aa9a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 19 21:49:26 2019 +0200

    Remove static limitations on number of workspaces.

 src/aworkspaces.cc |   7 +-
 src/decorate.cc    |   1 +
 src/wmapp.cc       |  23 ++---
 src/wmclient.cc    |   1 +
 src/wmconfig.cc    |  20 +----
 src/wmframe.cc     |   8 +-
 src/wmmgr.cc       | 236 ++++++++++++++++++++++++++-----------------------
 src/wmmgr.h        |  18 ++--
 src/wmoption.cc    |   4 +-
 src/wmsession.cc   |  17 ++--
 src/wmstatus.cc    |  99 ++++++++++++++-------
 src/wmstatus.h     |  30 +++++--
 src/wmswitch.cc    |   1 +
 src/wmtaskbar.cc   |  23 ++++-
 src/wmtaskbar.h    |   5 +-
 src/wmwinlist.cc   |   1 +
 src/wmwinmenu.cc   |   5 +-
 17 files changed, 277 insertions(+), 222 deletions(-)

commit 8305c993e3e310f44590b3e57b9d8cfc9daa6b8d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 19 21:47:41 2019 +0200

    Move workspace info to dedicated class Workspaces.

 src/Makefile.am  |   1 +
 src/workspaces.h | 106 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 107 insertions(+)

commit 2061e769e747e4fa7156087eef7913b610d34a03
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 19 21:46:45 2019 +0200

    add class YStringList

 src/ystring.h | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

commit 353a93986ea18b424e4e1ec6514b627ca7b8ca55
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Mon Jun 17 22:48:53 2019 -0600

    update to support gettext 0.20.1

 autogen.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit be19e1899ecdcee050bde5bc5389132f3a03e4b9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 16 21:54:31 2019 +0200

    Allow to reload winoptions without requiring a restart for issue #353..

 man/icesh.pod   | 4 ++++
 src/icesh.cc    | 6 ++++--
 src/wmaction.h  | 2 ++
 src/wmapp.cc    | 7 ++++++-
 src/wmmgr.cc    | 1 +
 src/wmoption.cc | 4 +++-
 6 files changed, 20 insertions(+), 4 deletions(-)

commit db04d8a248dc9dde847478eaa700edb0b662b8d5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 16 21:49:28 2019 +0200

    Don't focus frame under mouse if ClickToFocus in issue #355 and issue #358.

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fe319dab5ca74b19a81c3c3f35a2e73d35dd7249
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Sun Jun 16 09:29:01 2019 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (459 of 459 strings)

 po/de.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit f62cf7463090e38dba477a0eafaf253cb622c79a
Author: Olga Smirnova <mistresssilvara@hotmail.com>
Date:   Sat Jun 15 16:49:20 2019 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (459 of 459 strings)

 po/ru.po | 130 +++++++++++++++++------------------------------------------
 1 file changed, 38 insertions(+), 92 deletions(-)

commit 13713b8a7c77894a81ec7d2473214b7f081ae02a
Author: Olga Smirnova <mistresssilvara@hotmail.com>
Date:   Sat Jun 15 16:31:33 2019 +0000

    Translated using Weblate (Occidental)

    Currently translated at 74.1% (340 of 459 strings)

 po/ie.po | 698 +++++++++++++++++++++++++++++++----------------------------
 1 file changed, 364 insertions(+), 334 deletions(-)

commit 1a041565030965ee833f57329f1e569de2ba12c5
Author: Olga Smirnova <mistresssilvara@hotmail.com>
Date:   Sat Jun 15 13:51:04 2019 +0000

    Added translation using Weblate (Occidental)

 po/ie.po | 2318 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2318 insertions(+)

commit cc4df5e15c960ff362f83aaac5e425d363b0d1b6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 15 14:59:16 2019 +0200

    On startup postpone creating taskbar.
    Set frame background color.
    Lock work area.
    Improve work area efficiency.
    Prevent nested server grabs.
    Simplify edges.
    Increase/decrease number of workspaces not in incremental steps, but
    all at once.

 src/wmapp.cc     |  44 ++--
 src/wmapp.h      |   1 +
 src/wmframe.cc   |  54 ++---
 src/wmframe.h    |   2 +
 src/wmmgr.cc     | 580 ++++++++++++++++++++++++---------------------------
 src/wmmgr.h      |  44 +++-
 src/wmtaskbar.cc |  18 +-
 src/wmtaskbar.h  |   2 +-
 src/ymsgbox.cc   |   2 +-
 9 files changed, 383 insertions(+), 364 deletions(-)

commit cb217de7cc0bacae465eaaf2e768fb8c51c32763
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 15 13:55:42 2019 +0200

    setDestroyed + testDestroyed.

 src/ywindow.cc | 9 +++++++++
 src/ywindow.h  | 4 +++-
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 1d43918a3e4e4c57831b3f3f5bff32f476cbe89d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 15 13:37:40 2019 +0200

    Simplify partial struts. Check if window gravity was specified.
    If testDestroyed failed then Wait for DestroyNotify.
    Only call updateMwmHints if WM_NORMAL_HINTS has really changed for
    Xephyr in #353.
    Only update if WIN_HINTS has really changed.

 src/wmclient.cc | 122 +++++++++++++++++++++++++++++-----------------------
 src/wmclient.h  |   4 +-
 2 files changed, 68 insertions(+), 58 deletions(-)

commit f8aa1af934778da11b9d7a87716d1d83af8a3772
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jun 15 07:52:48 2019 +0200

    Fix icesh -last. Fix toggleState for #354.

 src/icesh.cc | 17 +++++++++--------
 1 file changed, 9 insertions(+), 8 deletions(-)

commit 5d781a5bf4b751fe024ac56d7a1ca3ad9644b0c5
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Fri Jun 14 05:48:36 2019 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (459 of 459 strings)

 po/sk.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit 9d80d29f94b71327f2063ae52fb496c9a61e44d9
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Thu Jun 13 16:42:11 2019 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (459 of 459 strings)

 po/nl.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

commit c2929363a0db7e99689ac89ae25a01388eca3ae4
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Thu Jun 13 07:33:25 2019 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (459 of 459 strings)

 po/ja.po | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit bc78700db5700f30c8148b7932b3680c281ba33b
Author: Aleš Kastner <alkas@volny.cz>
Date:   Thu Jun 13 08:20:29 2019 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (459 of 459 strings)

 po/cs.po | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)
